#
# spec file for package openstack-ceilometer-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component ceilometer

%define version_unconverted 9.0.1.dev2

Name:           openstack-%{component}-doc
Version:        9.0.1~a0~dev2
Release:        1.1
Summary:        OpenStack Metering (Ceilometer) - Documentation
License:        Apache-2.0
Group:          Documentation/HTML
Url:            http://openstack.org/projects/compute/
Source:         http://tarballs.openstack.org/ceilometer/ceilometer-master.tar.gz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-Sphinx
BuildRequires:  python-ceilometer = %{version}
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-sphinxcontrib-httpdomain
BuildRequires:  python-sphinxcontrib-pecanwsme
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Ceilometer aims to deliver a unique point of contact for billing systems to
aquire all counters they need to establish customer billing, accross all
current and future OpenStack components. The delivery of counters must be
tracable and auditable, the counters must be easily extensible to support new
projects, and agents doing data collections should be independent of the
overall system.

This package contains documentation files for openstack-ceilometer.

%prep
%setup -q -n ceilometer-%{version_unconverted}
%openstack_cleanup_prep
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg
sed -i "s|'sphinxcontrib.autohttp.flask',||" doc/source/conf.py

%build
python setup.py build_sphinx -s doc/source
rm doc/build/html/.buildinfo # Remove unneeded files

%install

%files
%defattr(-,root,root,-)
%doc doc/build/html

%changelog
* Fri Aug 25 2017 tbechtold@suse.com
- Update to version ceilometer-9.0.1.dev2:
  * Imported Translations from Zanata
* Wed Aug 23 2017 tbechtold@suse.com
- Fix doc build
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version ceilometer-9.0.1.dev1:
  * Update reno for stable/pike
  9.0.0
  * update measurements
  * ensure timezone is included in timestamps
  * deprecated pollster-list
  * Revert "deprecate archive policy of Gnocchi dispatcher"
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev394:
  * snmp: Fix discovery when total memory is missing
* Fri Aug 11 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev392:
  * Fix a typo in ceilometer
  * Remove install-guide env which is not effective
* Wed Aug  9 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev389:
  * fix cpu\_util precision is too precise
* Fri Aug  4 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev387:
  * vmware: ignore -1 values
  * Update and replace http with https for doc links in ceilometer
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev383:
  * Fix share.size meter
  * use tempest manager
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev379:
  * stop converting to old message format
  * add configuration folder
  * generate conf on doc build
  * turn on warning-is-error for doc builds
  * add missing sphinx extension
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev369:
  * [Trivialfix]Fix typos in ceilometer
  * Fix neutron lbaas v2 when no listeners are set
  * Fix some initializations
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev364:
  * Deprecate kafka publisher
  * wrong document location
  * Update the documentation link for doc migration
  * Fixed ceilometer arithmetic transformer  bug
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev356:
  * fix service path for fedora
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev354:
  * Fix inspect\_vnics error for libvirt
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev353:
  * doc: move install guide to main doc dir
  * Docs: update the path of "meters.yaml" and its new feature
  * Update URL home-page in documents according to document migration
  * Add memory swap metric
  * Move "test\_versions.py" to the directory of functional test
  * Add some unit test cases
  * explicitly note sanitize\_timestamp return condition
  * Remove old maintainers
  * Migrate telemetry-events
  * Add some unit test cases
  * expect oslo.messaging messages
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev331:
  * High precision rate of change timedelta
  * doc: move old dev docs to contributor section
  * doc: initial index cleanup
  * Project\_id for SDN controller meters
  * Gnocchi support for SDN controller meters
  * Ceilometer meter support to collect network statistics
* Fri Jul 21 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev319:
  * Specify region when looking for radosgw admin URL
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev318:
  * remove templates
  * Docs: switch to openstackdocstheme
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev315:
  * Remove the explanation of nonexistent parameter
  * tempest: Use primary user token
  * Add event definition for manila
  * cap cpu\_util
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev307:
  * Remove interval reference to pipeline
  * api: remove unused code
* Thu Jul 13 2017 tbechtold@suse.com
- Update to version ceilometer-8.1.0.dev304:
  * Update Documentation link in README
  * Limit the default numbers of metrics polled
  * Don't check libvirt exception if libvirt is absent
  * Migrate telemetry-best-practices
  * Migrate telemetry-data-retrieval
  * Migrate telemetry-data-collection
  * Migrate telemetry-data-pipelines
  * Migrate telemetry troubleshooting guide
  * migrate telemetry measurements
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev287:
  * Add a description of the parameters to function
* Thu Jul  6 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev285:
  * ensure resources are hashable
* Wed Jul  5 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev283:
  * Fix typo for additional device support in intel node manger
  * Migrate telemetry system architecture
* Wed Jun 28 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev280:
  * Fix UnicodeEncodeError error when log messge in poll\_and\_notify
  * Fix some reST field lists in docstrings
* Tue Jun 27 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev276:
  * Fix can not find VMwareAPISession when import oslo\_vmware
  * Fix html\_last\_updated\_fmt for Python3
* Fri Jun 23 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev272:
  * post\_test\_hook: stop sourcing gnocchi/devstack/settings
* Wed Jun 21 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev271:
  * Doc: guide for operating resource type
* Tue Jun 20 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev269:
  * Add share create/delete/expand/shrink meters
* Thu Jun 15 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev268:
  * modify the description for GnocchiDispatcher
  * add instruction to set auth\_mode
  * Added Nova Compute CPU metrics to gnocchi\_resources.yaml
* Tue Jun 13 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev263:
  * Update meters definition reference
* Fri Jun  9 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev262:
  * devstack: install Gnocchi using pip
  * This remove annoying message repetition in logs
* Fri Jun  2 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev258:
  * Replace assertRaisesRegexp with assertRaisesRegex
* Thu Jun  1 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev256:
  * update link away from google docs
* Wed May 31 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev255:
  * Trivial fix typos
* Mon May 29 2017 tbechtold@suse.com
- Update to version ceilometer-8.1.0.dev254:
  * change to reference gnocchi.xyz
  * Change default polling interval
  * XenAPI: use os-xenapi for XenAPI driver
  * Add tool for migrating metric data from ceilometer's storage to gnocchi
* Mon May 15 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev248:
  * Fix typo in docstring
* Thu May 11 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev247:
  * Support loading multiple meter definition files
* Wed May 10 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev245:
  * tempest: fix some future flake8 issue
  * tempest: remove deprecation warning
* Fri May  5 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev243:
  * Deprecate olsotest.mockpatch in favor of native fixtures
* Thu May  4 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev241:
  * Fix a typo
  * tempest: Allow to configure granularity
  * integration: always run all commands
* Wed May  3 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev236:
  * Remove upper constraint on sqlalchemy
  * Adds a Zaqar publisher
  * tempest: tell tempest our scenario are long
  * Replace Ceilometer coordination layer by tooz partition system
* Sat Apr 29 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev228:
  * integration: Fix report generation
  * tests: fix messaging driver
  * minor doc updates
  * Fix publisher doc link
  * gnocchi/notification: allow to configure the maximum number of requests in parallel
  * Format the abstraction layer of inspector methods to avoid TypeError
* Sat Apr 22 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev217:
  * tempest: Don't hardcode the network name
  * Remove powervm from inspector doc
  * Cleanup post\_test\_hook.sh
  * Correct the configuration of pipeline\_processing\_queues in devstack
  * Correct bad use response\_strings in live.yaml
  * coordination: remove group\_id check
  * coordination: stop checking for \_coordinator to be None
  * coordination: make group\_id to never be None
  * fix gnocchi\_resources mapping
  * Switch to use stable data\_utils
  * Bugfix: use transport\_url from [oslo\_messaging\_notifications] if present
  * coordination: use join\_group\_create()
  * Switch to use stable data\_utils
  * remove keystone\_authtoken from polling agent
  * Deprecate event\_dispatchers and meter\_dispatchers options
  * set OS\_AUTH\_TYPE in gate
  * Trivial-fix: use domain\_id instead of domain\_name
  * fix [service\_credentials] section location
  * Switch to use test\_utils.call\_until\_true
  * remove endpoint\_override
  * gnocchi: do not use removed encode\_resource\_id
  * Switch to decorators.idempotent\_id
  * drop notes re mod\_wsgi
  * set project\_id for cinder polling
  * Simplify code of test\_complex\_query
  * switch instance\_discovery to libvirt\_metadata
  * remove test\_hbase\_table\_utils
  * Use parameter skip\_op\_id in compute.virt.vmware.test\_vsphere\_operations
  * gnocchi: replace / by \_ in resource\_id
  * gnocchi: move volume\_type to correct section
* Thu Apr 20 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev213:
  * Cleanup post_test_hook.sh
  * tempest: use the configured flavor
  * tests: remove oslo.config fixture usage
  * fix gnocchi unprocessed measures debug
* Wed Apr 19 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev207:
  * tempest: rework gabbi setup
  * Remove log translations
* Thu Apr 13 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev203:
  * Change the compute polling local cache to be mutex
  * Optimize the link address
* Wed Apr 12 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev199:
  * Use more specific asserts in tests
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev197:
  * fix install-guide gnocchi+keystone instruction
* Tue Apr  4 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev196:
  * Use vcpu.x.time and vcpu.x.wait values in libvirt inspector
* Sun Apr  2 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev194:
  * Correct the configuration of pipeline_processing_queues in devstack
  * compute: remove default duration value
  * compute disks: use the generic compute pollster
  * compute vnics: use the generic compute pollster
  * tests: fix conf object creation
* Thu Mar 30 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev185:
  * Adds 'disabled' to the possible states for a member in LBaaSv2
  * add configuration instructions from admin guide and dev docs
* Wed Mar 29 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev181:
  * deprecated support of pipeline.yaml for polling
  * remove resource if not created
  * cleanup unused devstack code
  * start notification agent after restarting apache
  * remove ceilometer-collector condition when configuring storage
* Tue Mar 28 2017 cloud-devel@suse.de
- Update to version ceilometer-8.1.0.dev171:
  * make gnocchi independent of ceilometer-api
* Sat Mar 25 2017 tbechtold@suse.com
- Update to version ceilometer-8.1.0.dev169:
  * Correct bad use response_strings in live.yaml
  * Use HostAddressOpt for opts that accept IP and hostnames
  * deprecate archive policy of Gnocchi dispatcher
  * tempest: Fix exception handling
  * [install-guide] Add more links
  * tempest: remove confusing stack check step
  * compute: Remove dead code
  * compute: create one pollster to rule them all
  * Bump gnocchiclient min version
  * Remove second tenacity in requirements
  * tests: stop hammering CPU while waiting for sample to wait
  * coordination: remove started check
  * coordination: remove group_id check
  * coordination: stop checking for _coordinator to be None
  * coordination: create coordinator at init time
  * coordination: make group_id to never be None
  * Add sem-ver flag so pbr generates correct version
  * tests: simplify broken test
  * libvirt: rewrite the error handling
  * Fix the incorrect gnocchi command
  * fix blacklisting NovaLike resources
  * tests: remove unused mocked method
  * fix gnocchi_resources mapping
  * Swallow & report 404s from Swift (missing tenant)
  * Remove Rohit Jaiswal from maintainers
  * devstack: Set an optimal processing queue
  * tempest: remove broken tests
  * Switch to use stable data_utils
  * make gnocchi posting more resilient
  * remove tooz safety catch
* Tue Feb 21 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev28:
  * Remove useless metric name
  * add note about batching+gnocchi
* Mon Feb 20 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev24:
  * nova: track flavor name
  * drop kwapi pollster
  * cleanup devstack cache initialisation
  * Deprecate collector
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev16:
  * set OS_AUTH_TYPE in gate
  * Support i18n for api app
  * tripleo: Fix logging of tripleo discovery
* Thu Feb 16 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev13:
  * match generic cirros name
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev12:
  * fix [service_credentials] section location
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version ceilometer-8.0.1.dev11:
  * fix gnocchi url links
  * Correct the doc link
* Mon Feb 13 2017 tbechtold@suse.com
- Update to version ceilometer-8.0.1.dev9:
  * Switch to use test_utils.call_until_true
  * gabbi: use history
  * Remove support for py34
  * Use https instead of http for git.openstack.org
  * stop hardcode timeout in tempest tests
  * Update reno for stable/ocata
  8.0.0
  * add polling.yaml docs
  * Use Tempest stable library interfaces
  * polling definition file
  * remove endpoint_override
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev418:
  * Do not use non-UUID resource ID in Aodh+Gnocchi tests
  * modernise gabbi tests
* Wed Feb  1 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev415:
  * gnocchi: do not use removed encode_resource_id
  * update multi-publisher image
  * add ceilometer-upgrade step to install guide
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev410:
  * make connection pool configurable
  * make http publisher equivalent to dispatcher
  * update verify to use gnocchi
  * drop api and storage references from install-guide
  * Don't load many times the same publisher
  * gnocchi: don't rely on gnocchi uuid5
* Sun Jan 29 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev400:
  * Switch to decorators.idempotent_id
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev399:
  * drop notes re mod_wsgi
  * move and trim legacy db docs
* Thu Jan 26 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev395:
  * show panko events for debug
  * set project_id for cinder polling
  * check panko during integration test
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev389:
  * devstack: make sure it's possible to deploy panko only
  * install-doc: Disable ceilometer-api service
  * set panko dispatcher if enabled
  * agent: always print the extension name on failure
  * Fix same type of simple message error
  * pipeline: remove tests helper from runtime code
  * Simplify code of test_complex_query
  * gnocchi: prepare removal of gnocchi uuid5
* Fri Jan 20 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev375:
  * Trivial: add white space of error message
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev374:
  * Add support of refereshing the resource info in local cache
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev373:
  * Trivial: remove white space of exception message
  * remove test_hbase_table_utils
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev370:
  * switch instance_discovery to libvirt_metadata
  * publisher: fix pipeline confusing reference
* Fri Jan 13 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev368:
  * Use parameter skip_op_id in compute.virt.vmware.test_vsphere_operations
  * gnocchi: replace / by _ in resource_id
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev364:
  * gnocchi: move volume_type to correct section
  * tempest: use tempest img
  * fix the gnocchi resource type upgrade
  * remove residual instance pollster
  * tempest: Allow to not run deprecated API tests
  * add volume.backup.size to gnocchi
* Tue Jan 10 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev353:
  * use domainListGetStats to get cputime
  * drop instance meter
  * Fix oslo.vmware change that added new keyword argument
  * Don't poll nova with compute agent
* Sat Jan  7 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev346:
  * Remove events storage and API
  * Update custom install doc
  * correct volumes name source
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev341:
  * upgrade: fix gnocchi resource update
  * stop assuming ceph/swift share same endpoint
  * devstack: check for ceilometer+panko service
  * add support to parse user metadata
  * always create ceilometer user
  * simplify fail gnochi+ceilometer check
  * Added new instance metrics to gnocchi definition
  * capture keystone authentication as metric
  * update architecture docs
  * Make rabbitmq configuration much simpler
  * cleanup manual install
  * doc cleanup
  * XenAPI: Not support two key network meters
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev316:
  * tempest: allow usage of scenario-img for autoscaling
  * gnocchi: Allow to set a different creds section
* Tue Jan  3 2017 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev312:
  * Add aliases for direct publisher
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev310:
  * Fix the gate failure because of several issues
  * Trival-Fix: replace "nova" with "ceilometer" in api-ref
  * Fix error module usage
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev305:
  * [doc] Note lack of constraints is a choice
  * glossary: remove collector and add publisher
  * Test suite for Aodh's gnocchi-resource-threshold alarm
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev299:
  * integration: deleting the stack sometimes timeout
  * Allow to configure the triplo network name
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev295:
  * Fix publisher comment
  * integration: run gabbi first
  * tempest: support keystone v3 for autoscaling
  * Make sure gnocchi is enabled before ceilometer
* Fri Dec 16 2016 tbechtold@suse.com
- Update to version ceilometer-7.0.0.0rc2.dev288:
  * tests: generate reports when tempest fail
  * Revert "Add hypervisor inspector sanity check"
  * Fix oslo.vmware lazy loading
  * test: remove unused variable
  * utils: remove unused function stringify_timestamps
  * gnocchi: Add volume_type attribute to volume
  * devstack: Don't enable api by default
  * add libxml2 required for lxml
  * fix http publisher test
  * filtered out the phynical nics when query vm nics with VMware API
  * Correct ceilometer reraising of exception
  * Fix typo in plugin.sh
  * Add old vm state for compute.instance.update
  * tools: stop using global conf
  * gnocchi: use batch create_metrics=True
  * Fix the install guide bug
  * Update Ceilometer architecture docs
  * Remove useless mock
  * drop `counters` support from pipeline
  * cleanup unit test location
  * Remove api index file
  * Bump minimal version of cotyledon
  * Reenable the tempest test about nova notification
  * use hyphen-less option name sql_expire_sample_only
  * Translate info-level log messages for LOG.error
  * drop disable_non_metric_meters option
  * cleanup gnocchiclient
  * Change gnocchi_ext.NotFound to gnocchi_ext.ResourceTypeNotFound
  * integration tests: fix generation of tests_results.html
  * Use one log level
* Sat Nov  5 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev134:
  * document: remove configuration README description
  * compute.util: stop using global conf
  * event.converter: stop using global conf
  * discovery: stop using global conf
  * event: stop using global conf
  * sample: stop using global conf
  * keystone_client: stop using global conf
  * publisher: stop using global conf
  * Use method constant_time_compare from oslo.utils
  * gnocchi: don't show backtrace on connection failure
* Thu Oct 27 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev115:
  * Change redirect status from 307 to 308
  * Use set_defaults method in oslo_middleware to check CORS_OPTS
  * change gnocchi cache enable condition
  * enable caching
* Tue Oct 25 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev107:
  * Fix gate problem related to  _error_checker()
* Fri Oct 21 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev106:
  * fix gate
  * Redact password from opendaylight client logging
* Tue Oct 18 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev103:
  * Broken Link: setuptools entry point
* Sat Oct 15 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev101:
  * Replace 'vmware' with 'vsphere'
  * Don't create useless threads
* Fri Oct 14 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev97:
  * pipeline: stop using global conf
  * declarative: stop using global conf
  * coordination: stop using global conf
  * Remove buggy usage of global config
  * pipeline services: stop using global conf
  * Fix collector single worker to handle UDP package with many worker config
  * Add http_proxy_to_wsgi to config-generator
  * Fixed cotyledon version requirement
  * Remove pecan_debug option
  * neutron_client: stop using global conf
* Thu Oct 13 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev82:
  * Fix the issue that missing the app file
  * nova_client: stop using global conf
  * messaging: stop using global config
  * collector: stop using global config
  * api: Remove global conf
  * tests: fix broken udp tests
  * tests: fix tests for functional tests without dsvm
* Wed Oct 12 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev68:
  * fix perf when libvirt is >=2.0.0 and <2.3.0
  * Enable release notes translation
  * collector: do not set any dispatcher by default
  * Remove the unnecessary space
  * Batching of event & meter dispatching over HTTP
  * XenAPI: polling meters are always 0
  * Refactor Ceilometer resource API
* Tue Oct 11 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev54:
  * Add http_proxy_to_wsgi to api-paste
  * make gnocchi event dispatcher work
* Sun Oct  9 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev50:
  * Compute agent can poll tx and rx errors and drops
* Thu Oct  6 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev48:
  * Docstrings should not start with a space
* Wed Oct  5 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev46:
  * Add autoscaling scenario in tempest tests
* Tue Oct  4 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev45:
  * Alters rst markup to comply with OpenStack rst guidelines
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev43:
  * Stop adding ServiceAvailable group option
  * specific the title
  * Trivial - Changes rst markup
  * Clean the deprecated non-metric related code
* Fri Sep 30 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev35:
  * Updates rst markup to better align with OpenStack rst guidelines
* Thu Sep 29 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev33:
  * Add prefix "$" for command examples
  * Use 'code-block' for pieces of code
  * collector: fix graceful shutdown when udp enabled
  * Modify startup parameters of ceilometer-api in devstack script
  * Fix the "Gnocchi" link pages of custom.rst doc
  * Bad Link: stevedore
  * Clean imports in code
  * Using assertIsNone() instead of assertIs(None)
* Sat Sep 24 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev18:
  * Using assertIsNone() instead of assertIs(None)
  * tox: refactor targets
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev15:
  * Fix typo in a docstring in agent/manager.py
  * Fix UnicodeEncodeError in Ceilometer polling
* Thu Sep 22 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev12:
  * gabbi: set panko_is_disabled to avoid relying on Keystone autodiscovery
  * Fix problem when using wsgi script to start
  * gabbi: import pipeline_cfg_file option before using it
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0rc2.dev6:
  * Remove import objects and use import modules
  * Move oslo.db to hard requirements list
  * Remove left over from old ceilometer-api binary
  * Update reno for stable/newton
  7.0.0.0rc1
  * agentbase: remove flaky test
  * add note regarding pipeline_processing_queues option
  * Refactor Ceilometer event API
  * Refactor Ceilometer alarm API
  * update docs to show Telemetry projects
  * Update the compute node service_credentials parameters
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev51:
  * tox: Remove useless env
  * Use deps extra for optional requirements
  * add new meters about some perf events
  * Set a correct number of threads for polling tasks
  * improve notification processing
  * Revert "[install] Create endpoint in one command"
  * [Trivial] Refactor libvirt inspector connection & uri
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev39:
  * standardize release note page ordering
  * gnocchi: enable event_dispatcher in devstack and doc
  * Use pbr wsgi_scripts feature to build ceilometer-api
  * Change fnmatch.match method to fnmatch.fnmatch
  * Don't require gnocchiclient
  * Initialize correctly collector
  * Remove store_events options
  * Remove sql-expire-samples-only as a CLI option
* Wed Sep 14 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev24:
  * Corrected file mode settings
  * Add oslo.config cli opt to skip the confirm check
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev20:
  * Fix string interpolation in log
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev18:
  * correct input params in get_samples
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev16:
  * refactor service to be less pipeline dependent
  * [api-ref] Correct response code
  * [api-ref] Remove temporary block in conf.py
  * XenAPI: correct polling on memory_usage
  * dispatcher: deprecate event database dispatcher for Panko
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b4.dev8:
  * Deprecate Kwapi pollsters
  * make reload test more resilient
  * Remove Nadya Privalova from core reviewers
* Wed Sep  7 2016 tbechtold@suse.com
- Update to version ceilometer-7.0.0.0b4.dev3:
  * gnocchi: Create resource-types on upgrades
  * Allow to skip metering/event database upgrade
  * Rename ceilometer-dbsync in ceilometer-upgrade
  7.0.0.0b3
* Fri Sep  2 2016 tbechtold@suse.com
- Remove not needed python-sphinxcontrib-docbookrestapi BuildRequires
* Fri Sep  2 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev117:
  * generalise instable API redirect assertion
  * Fix checking IP version when using IPv6
* Thu Sep  1 2016 tbechtold@suse.com
- Update to version ceilometer-7.0.0.0b3.dev114:
  * Nit: Aligning the content
  * Config logABug feature for Ceilometer api-ref
  * remove needless brackets
  * The debug that network.incoming/outgoing.packets print is not right
  * Update readme file
  * [install] Create endpoint in one command
  * Cleanup imports in code
  * Fix a warning when running `tox -e api-ref`
  * Gnocchi dispatcher fails on skipped metric
  * api: redirect to Panko if enabled
  * Install configuration files in etc
  * Add log hints for partition coordinator
* Sun Aug 28 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev93:
  * correct the mistake in install-guide document
* Sat Aug 27 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev91:
  * [install] Add a missing stash
  * Replace urllib.quote() with six.moves.urllib.parse.quote()
  * correct the meaning of direct publish transport
  * XenAPI: failed to poll cpu_util
  * add url in setup.cfg
* Fri Aug 26 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev81:
  * Add a publish transport in Ceilometer architecture document
  * Fix tempest.conf generation
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev77:
  * conversions: remove no used local variable
  * Add api-ref/build to .gitignore
  * Get ready for os-api-ref sphinx theme change
* Tue Aug 23 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev71:
  * [dev-docs] Changed location of a class
* Fri Aug 19 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev69:
  * dispatcher/database: simplify connection retrieving
* Thu Aug 18 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev67:
  * Configuration of certificate verification for HTTP dispatcher
  * dispatcher: split the database dispatcher
* Wed Aug 17 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev63:
  * Limit Happybase to < 1.0.0
* Sat Aug 13 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev62:
  * fix the %%{} when string formatting
  * ValueError exception when SNMP returns NoSuchObject
  * Format error message in http.py
* Thu Aug 11 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev57:
  * Do not limit elasticsearch to 2.0
  * tests: remove dead code with self.source_resources
* Tue Aug  9 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev53:
  * HTTP Dispatcher: Post event data as JSON & improve logging
  * Switch to use Glance v2 in image pollsters
  * Fix the not found link for notification in glossary.rst
  * Added a link to the architecture guide
  * Removed redundant phrase to increase readability
  * Fixed small grammar error in overview.rst
  * Set the correct for image bytes_sent event
  * Change keystoneclient to keystoneauth
  * tests: rewrite batching test in a less racy way
  * Remove an unused method of network pollsters' base class
  * add memory bandwidth meter
  * This adds migrated API reference files
  * publisher: make direct publisher generic
* Tue Aug  2 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev29:
  * Fixed a small grammar error configuration help doc
  * Fix wrong parameter reference in periodic decorator
  * Add missing %%s in print message
* Fri Jul 29 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev24:
  * Modify py3.4 to py3.5 in the py35-functional of tox
* Wed Jul 27 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev22:
  * test: Fix wrong override value of config option interface
  * Put py34 first in the env order of tox
  * consumes error notif. when event are disabled
  * Remove unused AdvEnum class definition
* Sat Jul 23 2016 cloud-devel@suse.de
- Update to version ceilometer-7.0.0.0b3.dev16:
  * Add Magnum events to definitions
* Fri Jul 22 2016 gosipyan@suse.com
- Update to version ceilometer-7.0.0.0b3.dev15:
  * Register the gnocchi event dispatcher
  * Reduce code duplication
  * Specify host info when using the notifier publisher
  * Add Python 3.4 and 3.5 classifiers and targets
  * Retrieval of RBD device information issue
  * Added full support of snmp v3 usm model
  7.0.0.0b2
  * Check lbaas version if call is v2 specific
  * move out oslo.service
  * sqlalchemy: do not run upgrade on fresh install
  * sqlalchemy: fix JSONEncodedDict implementation type
  * gnocchi: use events to end Gnocchi resource
* Sat Jul 16 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev58:
  * base.Resource not define __ne__() built-in function
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev57:
  * fix l3_cache definition
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev55:
  * collector: use an intermediate proxy class for event dispatcher
* Sun Jul 10 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev53:
  * throw PollsterPermenantError exception for memory usage meter
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev51:
  * events: fix operator check in event filter
  * Raise PollsterPermanentError if inspector is not implemented
  * Remove unused LOG
  * pollsters: Remove eventlet timers
* Thu Jul  7 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev43:
  * Fix get_gnocchiclient to work with python3.5
  * devstack: allow ceilometer-api and keystone to run on different hosts
* Tue Jul  5 2016 tbechtold@suse.com
- Update to version ceilometer-6.1.1.dev40:
  * Replace raw_input with input to make PY3 compatible
  * Imported Translations from Zanata
  * Fix the name as it was a typo
  * devstack: prefix _drop_database
  * start partition coordinator only when there is a group to join
  * split discover into different namespaces
  * devstack: disable workload_partition for compute polling
  * Add a tool to clean the legacy alarm tables
  * devstack: do not wait for service to start
  * Config: no need to set default=None
* Tue Jun 28 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev26:
  * Add install-guide for ceilometer
* Fri Jun 24 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev24:
  * Don't generate hostname of host running build to config file
  * Fixing a trivial typo
  * Add 'task_state' attribute to meter metadata
  * add support of batch recording metering data for mongodb
  * Switch to use glanceclient to get image
  * doc: remove left over of docbookrestapi
  * tests: do not override auth version to v2
  * Remove configuration README in etc
  * Update to hacking 0.11.0
  * add tempest to test-requirements.txt
* Thu Jun 23 2016 cloud-devel@suse.de
- Update to version ceilometer-6.1.1.dev8:
  * Add install description for Neutron
  * add l3 cache usage meter
  6.1.0
  * dispacher/gnocchi: measures sent fix logging
  * Copy images_client from tempest + Correct concurrency of gabbi 1.22.0
  * Use trusts in Heat integration test
  * catch DriverLoadFailure for get_transport optional
  * enable swift pollsters poll data for specific region
  * Imported Translations from Zanata
  * tempest_plugin: drop telemetry decorator
  * Updated from global requirements
  * [Trivial] Update Neutron resource status list
  * fix CI failure due to oslo.messaging 5.0.0
  * Fix notification listeners usage
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
* Wed Jun 22 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev182:
  * Fix concurrency issue with snmp pollsters
* Sat Jun 18 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev180:
  * Rename gabbits with _ to have - instead
  * Clean deprecated "rpc_backend" in tests
* Fri Jun 17 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev176:
  * Correct concurrency of gabbi tests for gabbi 1.22.0
* Tue Jun 14 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev175:
  * Use "topics" instead of "topic" in Notifier initialization
* Sat Jun 11 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev174:
  * Imported Translations from Zanata
  * Copy images_client from tempest
  * [dispatcher/gnocchi] add unit for metric
  * Delete unused last_dup variable
  * Fix the py34 jenkins job
  * Drop timestamping in pollsters
  * Fix Ceilometer tests config options
* Fri Jun  3 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev160:
  * catch DriverLoadFailure for get_transport optional
  * Bump to Nova v2.1
* Fri May 27 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev157:
  * refactor DefinitionException classes
* Thu May 26 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev155:
  * tempest: import ImagesClient as ImagesClientV2
  * fix some typos in our doc, comments and releasenotes
  * Set the time point polling starts as timestamp of samples
* Tue May 24 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev150:
  * enable swift pollsters poll data for specific region
* Sat May 21 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev149:
  * doc: remove database alarm capability
  * remove deprecated auth type password-ceilometer-legacy
  * return 400 when invalid aggregation function is specified
* Thu May 19 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev143:
  * tempest_plugin: drop telemetry decorator
  * Verify message's signature for every dispatcher
  * remove log in tools/make_test_{event_}data.py
* Wed May 18 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev137:
  * tests: replace overtest by pifpaf
* Mon May 16 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev135:
  * replace deprecated heat command with OSC
* Thu May 12 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev134:
  * fix CI failure due to oslo.messaging 5.0.0
  * remove record_metering_data method from collector
  * remove floating_ip_get_all in nova_client
  * add log decorator for neutron_client public method
  * Add release note link
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev125:
  * fix opts.list_opts for polling options
  * update help string for messaging_urls
  * tox: only install hacking in pep8 target
  * Remove unused pylintrc
  * devstack: remove useless policy_file setting
  * event: verify signature before recording events for all dispatchers
  * tests: stop services on tests teardown
  * Fix oslo_service stop/start mechanism
  * remove deprecated option database_connection
  * move EventFilter to event storage namespace
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev107:
  * Drop the executability of http.py
  * Updated from global requirements
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev104:
  * Fix notification listeners usage
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev102:
  * [Trivial] Update Neutron resource status list
  * [Trivial] Remove CEILOMETER_API_LOG_DIR option for devstack
  * Refactor floatingip pollster to use discovery
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev96:
  * Update the default log levels
  * Clean some unused method in ceilometer/keystone_client.py
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev93:
  * remove invalid todo in storage functional test code
  * remove todo for OS_TEST_PATH
* Mon May  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev90:
  * Replace logging with oslo_log
  * remove MultipleResultsFound and NoResultFound exception
  * Remove useless file
  * Improve the docstring for Swift pollsters
  * add debtcollector to requirements
* Fri Apr 22 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev83:
  * Remove direct dependency on babel
  * notification: Remove eventlet timers
  * use static timestamps for api samples
  * collector: Don't use eventlet thread
  * fix openstack cli command in doc manual
  * switch to openstack cli instead of keystone cli
  * Updated from global requirements
  * libvirt: fix missing python-libvirt issue
  * Add status in Ceilometer VPN connection sample
  * document how to enable ceilometer stable branch in devstack
  * Replace tempest-lib by os-testr
* Tue Apr 19 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev62:
  * remove python-ceilometerclient from requirements
  * Imported Translations from Zanata
  * Updated from global requirements
* Mon Apr 18 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev57:
  * Imported Translations from Zanata
  * Ignore the filter_service_activity option if gnocchi project not found
* Thu Apr 14 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev54:
  * Updated from global requirements
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev53:
  * Fix doc build if git is absent
  * Add notes on moving to Gnocchi
* Wed Apr 13 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev51:
  * delete verbose/redundant/deprecated text
  * add ceilometer to gnocchi configuration notes
  * change keystone to openstack cli
  * re-org existing manually install notes
* Tue Apr 12 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev44:
  * replace fnmatch with oslo.utils.fnmatch
* Sun Apr 10 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev43:
  * Updated from global requirements
* Sat Apr  9 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev42:
  * Imported Translations from Zanata
  * remove complex capabilities for meter, resource and statistics
  * messaging: remove RequestContextSerializer
  * Remove unused context object in vpnaas test
  * Remove unused object from lbaas_v2 test
  * Remove unused context object lbaas test
  * test: remove unused context object in FWaaS tests
  * Remove unused context objects in Glance tests
  * Remove unused context object in test
* Fri Apr  8 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.1.dev24:
  * gnocchi: batch measurements
  * Remove a useless usage of oslo.context in meters API
  * Remove the deprecated DB2 driver
  * Update the Administrator Guide links
  6.0.0
  * collector: never allow to lose data
  * Imported Translations from Zanata
  6.0.0.0rc2
  * abort alarms URLs when Aodh is unavailable
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * remove dns and trove from entry_points
  * Imported Translations from Zanata
  * Remove gabbi tests that check content-location
  * Imported Translations from Zanata
  * Update .gitreview for stable/mitaka
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev43:
  * mongo: remove unused function
  * Updated from global requirements
  * Enhancing Retry logic to Coordination when joining partitioning grp
* Wed Apr  6 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev39:
  * drop magnetodb support
  * Simplify chained comparison
  * publisher: clean out context usage
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev33:
  * Remove useless context object usage
* Sat Apr  2 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev31:
  * Disable ceilometer-aipmi by default for devstack
* Fri Apr  1 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev30:
  * Add the functional tests for getting events
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev28:
  * 'ceilometer-polling' should fail with no valid pollsters
  * Fix typos in comments and config strings
  * Updated from global requirements
  * fix minor typo in test_generic.py
  * collector: never allow to lose data
* Tue Mar 29 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev19:
  * abort alarms URLs when Aodh is unavailable
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev18:
  * Devstack: install coordination backend for compute agent
  * unquote resource id to support slash in it
* Thu Mar 24 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev15:
  * devstack Fix unprocess measure path
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev14:
  * correct docstring in storage module
  * Add http publisher
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev11:
  * remove dns and trove from entry_points
  * Imported Translations from Zanata
  * Remove gabbi tests that check content-location
  * remove unused field 'triggers' defined in sample event_pipeline.yaml
  * remove SERVICE_TENANT_NAME from devstack plugin
  * clean devstack plugin
* Mon Mar 21 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0rc2.dev2:
  * Update reno for stable/mitaka
  6.0.0.0rc1
  * Fix SDR file parsing for Intel Node Manager
* Sun Mar 20 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b4.dev54:
  * Imported Translations from Zanata
  * add rc1 release notes
  * Use assertIn and assertNotIn
  * core status cleanup
  * tests: remove ceilometer-api bin test cases
* Thu Mar 17 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b4.dev45:
  * change dns and trove notifications to declarative
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b4.dev43:
  * register the config generator default hook with the right name
* Tue Mar 15 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b4.dev41:
  * gate: add missing sudo
  * Remove en_GB translations
* Mon Mar 14 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b4.dev37:
  * Imported Translations from Zanata
  * Fixed corner cases of incorrect use of oslo.config
* Fri Mar 11 2016 tbechtold@suse.com
- Update to version ceilometer-6.0.0.0b4.dev34:
  * tempest: migrate api and scnario tests from tempest
  * mitaka-3 release notes
  * Adjust log levels for InstanceShutOffException
  * Fix event_type creationg failure due to race condition
  * Imported Translations from Zanata
  * Ignoring cpu measurement when instance's state is SHUTOFF
  * Add validation for polling_namespaces option
  * xenapi: support the session when xenserver is slave
  * Imported Translations from Zanata
  * gnocchi dispatch: Added new resource type support
  * remove wrong "#!/usr/bin/env python" header
  * Updated from global requirements
  * timedelta plugin for meter definition process
  * Cast Int64 values to int, float in statistics
  * Cache getters for the decalarative definitions
  6.0.0.0b3
  * [sahara] add events definitions regarding new notifications
  * Moved CORS middleware configuration into oslo-config-generator
  * Add the meter example file 'lbaas-v2-meter-definitions.yaml'
  * Change default policy to allow create_samples
  * Enable the Load Balancer v2 events
  * Remove unused pngmath Sphinx extension
  * Updated from global requirements
  * Fix a minor missing parameter issue
  * close services in test
  * Add an update interval to compute discovery
  * Docs: Configure meters/events dispatch separately
* Fri Jan  8 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev76:
  * Trival: Remove unused logging import
  * Added unit test cases for pysnmp 4.3
* Thu Jan  7 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev72:
  * Updated from global requirements
  * wrong accumulative value of "network.services.lb.incoming.bytes"
* Wed Jan  6 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev69:
  * [refactor] remove redundant import of options
* Tue Jan  5 2016 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev67:
  * Trivial: Remove vim header from source files
  * gnocchi: fix stack resource type
* Thu Dec 24 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev63:
  * Fix the typos in the source code
* Wed Dec 23 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev61:
  * Misspelling in message
  * Clean pagination related methods of impl_mongodb
* Tue Dec 22 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev58:
  * Fix some typos in the snmp.py
  * [MongoDB] add indexes in event collection
  * remove unnecessary code
  * Duplicate information link for writing agent plugins
* Sat Dec 19 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev51:
  * Do not mock the memcache interface for auth_token
* Fri Dec 18 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev49:
  * remove local hacking check
  * Remove unused code in gnocchi dispatcher
  * recheck cache after acquired gnocchi_resource_lock
  * collector: remove deprecated RPC code
* Thu Dec 17 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev41:
  * fix case in function name
  * Catch the EndpointNotFound in keystoneauth1 than in keystoneclient
  * Log exception if stevedore fails to load module
  * Updated from global requirements
  * verify gnocchi connection before processing
  * Deduplicate the code about snmp meter loading
* Wed Dec 16 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev30:
  * Revert "Revert "devstack config for dogpile cache""
  * add per resource lock
  * gnocchi: fix cache hash logic
  * show queue status on integration test
  * using a consistent uuid as cache namespace
  * Use str(name) instead of name.prettyPrint()
* Tue Dec 15 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev19:
  * Add keystoneauth1 in requirements
  * gnocchi: use gnocchiclient instead of requests
* Sun Dec 13 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev15:
  * messaging: stop using RequestContextSerializer
* Sat Dec 12 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev14:
  * Correct the host field of instance metadata
* Fri Dec 11 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev12:
  * Updated from global requirements
  * Use keystoneauth1 instead of manual setup
* Wed Dec  9 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev9:
  * oslo.messaging option group/name change for notification topics
* Sun Dec  6 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev7:
  * fix the bug that gnocchi dispatcher can't process single sample
  * MAINTAINERS: remove outdated data
* Sat Dec  5 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev3:
  * Replace stackforge with openstack
  * dispatcher: remove deprecated CADF code in HTTP
* Fri Dec  4 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.0b2.dev1:
  6.0.0.0b1
  * Remove version from setup.cfg
  * add initial release notes
  * fix functional gate
  * Fix ceilometer-test-event.py script
  * Enable signature verification for events
* Wed Dec  2 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev164:
  * Consistent publisher_id for polling agent
* Sun Nov 29 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev162:
  * Updated from global requirements
  * Revert "Workaround requests/urllib connection leaks"
  * simplify collector cache
  * clean up integration test urls
* Sat Nov 28 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev154:
  * Revert "devstack config for dogpile cache"
  * add cpu.delta to gnocchi resources
  * tools: fix default resource metadata for instance
  * Reduce code duplication
  * Add WebTest to test-requirements.txt
* Fri Nov 27 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev146:
  * build metric list on init
  * re-implement thread safe fnmatch
  * devstack config for dogpile cache
* Thu Nov 26 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev141:
  * don't pass ceilometer options to oslo.db engine facade
  * remove config files when run clean.sh
* Wed Nov 25 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev137:
  * Add WebTest to test-requirements.txt
  * fix some test case wrongly skipped for mysql backend
  * tests: remove testscenario usage for storage drivers
  * Remove eventlet usage
  * Remove alarming code
* Tue Nov 24 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev130:
  * Clarify the doc about multiple notification_topics usage
* Sun Nov 22 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev128:
  * Updated from global requirements
* Sat Nov 21 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev126:
  * Reduced source code by extracting duplicated code
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev124:
  * Updated from global requirements
  * use common cache
  * A dogpile cache of gnocchi resources
* Thu Nov 19 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev119:
  * Fix an indent nit of enforce_limit method
  * Move the content of ReleaseNotes to README.rst
* Wed Nov 18 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev117:
  * Updated from global requirements
* Tue Nov 17 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev116:
  * install database when collector is enabled
* Mon Nov 16 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev114:
  * add reno for release notes management
* Sat Nov 14 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev112:
  * Updated from global requirements
  * Configure collector to only record meter or event
* Thu Nov 12 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev110:
  * Updated from global requirements
  * Updated from global requirements
  * Support to get hardware's cpu_util from snmp
  * add rohit_ to MAINTAINERS
  * Add sql-expire-samples-only to option list
  * Fix snmp pollster to not ignore valid meters
* Fri Nov  6 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev101:
  * Factorize yaml loading of declarative stuffs
* Thu Nov  5 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev99:
  * gnocchi: set the default archive policy to None
  * Factorize field definition of declarative code
* Wed Nov  4 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev95:
  * Mv gabbi_pipeline.yaml into test directories
  * Wrong result is returned when call events getting API
  * tox: use pretty_tox in most places
  * Updated from global requirements
* Fri Oct 30 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev89:
  * configure Apache only when ceilometer-api is enabled
* Thu Oct 29 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev87:
  * avoid unnecessary inner join in get_resources() for SQL backend
  * reset policy per test
  * api: simplify root controller
* Mon Oct 26 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev81:
  * Updated from global requirements
  * Imported Translations from Zanata
  * avoid using isolation level
  * specify runtime environment for scripts
  * Using oslo-config-generator to instead of generate-config-file.sh
  * Use gnocchiclient for integration script
  * Correct the timestamp type when make test samples data
  * Updated from global requirements
  * avoid generate temporary table when query samples
  * api: simplify Pecan config
  * Use oslo_config PortOpt support
* Tue Oct 20 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev63:
  * Reject posting sample with direct=true if Gnocchi is enabled
  * make script under tools directory executable
  * Updated from global requirements
  * Added the README.rst in devstack folder
  * devstack: fix debug info for Gnocchi
* Sun Oct 18 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev54:
  * fix image_ref attr in gnocchi resource
* Sat Oct 17 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev52:
  * fix tools/make_test_event_data.py
  * support mysql+pymysql in functional test
  * Updated from global requirements
  * Remove dependency on sphinxcontrib-docbookrestapi
  * remove instance:FLAVOR related code and docs
  * Do collector setup and storage cleanup for all backends
* Fri Oct 16 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev41:
  * gnocchi: remove possible ending / in URL
  * change collector_workers to [collector]workers
  * Enable POST samples API when gnocchi enabled
  * Deprecate event trait plugin 'split'
  * Clean some log messages when polling neutron resources
  * Simplify the validation of required fields of pipeline source
  5.0.0
  * Imported Translations from Zanata
  * SQL: Fix event-list with multiple trait query filters
  * Fix the deprecation note in meter.yaml
* Thu Oct 15 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev59:
  * Block oslo.messaging 2.6.1 release
* Tue Oct 13 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev58:
  * Add Liberty release note link
  * Fix make_test_data.sh
  * Imported Translations from Zanata
* Mon Oct 12 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev53:
  * Imported Translations from Zanata
* Sun Oct 11 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev51:
  * Be explicit when copying files to /etc/ceilometer
  * Updated from global requirements
  * mark logging.info translation accordingly
* Fri Oct  9 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev46:
  * doc: service enablement not necessary when using Devstack plugin
  * Skip bad meter definitions instead of erroring out
  * logging cleanup
* Thu Oct  8 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev40:
  * Remove the unused network_get_all method
  * Updated from global requirements
  * Remove last vestiges of devstack from grenade plugin
  * Add missing ceilometerclient repo location
  * Fix for resource polling warnings
* Sat Oct  3 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev31:
  * Remove deprecated archive policy map for Gnocchi
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev29:
  * SQL: Fix event-list with multiple trait query filters
  * Rename list_events tests to list_samples tests
* Wed Sep 30 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev25:
  * Fix the bug of "Error spelling of a word"
  * Imported Translations from Zanata
  * Fix a mistake in a test
  * fix elasticsearch script reference
  * Fix the deprecation note in meter.yaml
  * doc: update devstack usage
* Tue Sep 29 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev14:
  * Remove enable_notification.sh
  * Parametrize table_prefix_separator in hbase
  * Ensure the test data sample has correct signature
* Mon Sep 28 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev8:
  * Imported Translations from Zanata
  * mongodb: remove deprecated replica_set support
* Sat Sep 26 2015 cloud-devel@suse.de
- Update to version ceilometer-6.0.0.dev4:
  * fix typo in storage/impl_sqlalchemy
  * devstack: install all configuration files from etc/
  * Open Mitaka development
  5.0.0.0rc1
  * gnocchi: Don't raise NotImplementedError
  * Add missing meter and exchange opts
  * Add test to cover history rule change
  * Don't create neutron client at loadtime
* Thu Sep 24 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev133:
  * Imported Translations from Zanata
  * Workaround requests/urllib connection leaks
  * integration tests: additional debugging infos
  * Coordinator handles ToozError when joining group
  * Delete its corresponding history data when deleting an alarm
  * update event filter test to validate multiple trait args
* Wed Sep 23 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev123:
  * Updated from global requirements
  * Fix reconnecting to libvirt
  * remove batch processing requirement from arithmetic transformer
  * add delta transfomer support
* Tue Sep 22 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev115:
  * Fix variable typos
  * Change ignore-errors to ignore_errors
  * retain existing listeners on refresh
  * tox: generate config file on test run
* Mon Sep 21 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev108:
  * Cleanup empty dirs from tests
  * Override dispatcher option for test_alarm_redirect_keystone
  * [ceilometer] Update links to Cloud Admin Guide
  * Adds support for dynamic event pipeline
  * Updated from global requirements
  * Imported Translations from Zanata
  * pollster/api now publish to sample queue
  * tox: Allow to pass some OS_* variables
  * Refactor keystone handling in discovery manager
  * Use make_sample_from_instance for net-pollster
  * apply limit constraint on storage base interface
  * gnocchi: add two new resources
  * Fixed tox -egenconfig Error
  * Add declarative meters to developer docs
  * do not recreate main queue listeners on partitioning
  * Prevent ceilometer expirer from causing deadlocks
* Wed Sep 16 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev77:
  * Validate required fields in meter definition
  * deprecate cadf_only http dispatcher
* Wed Sep 16 2015 tbechtold@suse.com
- Update to version ceilometer-5.0.0.0b4.dev73:
  * Remove useless base class
* Tue Sep 15 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev71:
  * Fix the heavy time cost of event-list
  * Update API Doc to deprecate the alarming part
  * Deprecate config options of the old alarming functionality
  * Add attribute 'state' to meter metadata when source is polling
  * Split out image non-meters
* Mon Sep 14 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev61:
  * update architecture documentation
  * Make the gabbi tox target work with modern tox
* Fri Sep 11 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev58:
  * Avoid 500 errors when duplicating limit queries
  * Correct test_list_meters_meter_id to work with py3
  * devstack: add new option to support event-alarm
* Thu Sep 10 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b4.dev53:
  * Updated from global requirements
  * Update event_definitions for Cinder Image Cache
  * Update install docs
  * Use b64encode to replace of encodestring
  * remove duplicate log exception message
  * Spelling mistake of comment in api/controllers/v2/query.py
  * Fix typos in gnocchi.py and converter.py
  * Updated from global requirements
  * Updated from global requirements
  * Add a py34-functional tox target
  * doc: update notification_driver
  * polling: remove deprecated agents
  * Fix string in limit warning
  * Typo fixing
  * missed entrypoint for nova_notifier removal
  * Imported Translations from Transifex
  * Fix links in README.rst
  * integration: Add debugging information
  * deprecate db2 nosql driver
  * Sync devstack plugin with devstack:lib/ceilometer
  * Updated from global requirements
  * remove old nova_notifier processing code
  5.0.0.0b3
  * restrict admin event access
  * Migrate the old snmp pollsters to new declarative pollster
  * Support to load pollsters extensions at runtime
  * Added snmp declarative hardware pollster
* Thu Aug  6 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b3.dev36:
  * minimise scope of hmac mocking
  * Updated from global requirements
  * gnocchi: retry with a new token on 401
  * Fix some gabbi tests
  * Corrected unit of snmp based harware disk and memory meters
* Wed Aug  5 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b3.dev26:
  * mongo: fix last python3 bugs
  * [MongoDB] Refactor indexes for meter and resources
* Tue Aug  4 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b3.dev22:
  * Masks messaging_urls in logs during debug mode
  * Add a batch_polled_samples configuration item
* Sun Aug  2 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b3.dev19:
  * Provide base method for inspect_memory_resident
  * Fix Python 3 issue in opendaylight client
  * Fix more tests on Python 3
  * tests: add an integration test
  * gnocchi: reduce the number of patch to gnocchi API
* Sat Aug  1 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b3.dev9:
  * Remove the compute inspector choice restriction
  * Fix WSGI replacement_start_response() on Python 3
  * Make the partition coordinator log more readable
  5.0.0.0b2
  * Instance Cache in Node Discovery Pollster
  * Imported Translations from Transifex
  * fix gnocchi resources yaml
  * distributed coordinated notifications
* Fri Jul 31 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev142:
  * [MongoDB] Use a aggregate pipeline in statistics
  * Instance Caching
* Thu Jul 30 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev138:
  * Import the api opt group in gabbi fixture
  * Remove redundant comma
  * storage: deprecates mongodb_replica_set option
* Tue Jul 28 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev133:
  * Improves send_test_data tools
  * Replace isotime() with utcnow() and isoformat()
  * Close and dispose test database setup connections
* Sat Jul 25 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev127:
  * Imported Translations from Transifex
  * Updated from global requirements
  * api: Redirect request to aodh if available
  * api: return 410 if only Gnocchi is enabled
  * Move gnocchi resources definition in yaml file
  * Send a notification per sample, do not batch
* Fri Jul 24 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev116:
  * Fix broken IPMI agent
  * add mandatory limit value to meter list
  * add mandatory limit value to resource list
  * add mandatory limit value to event list
  * Handles dns.domain.exists event in Ceilometer
  * Pollsters now send notifications without doing transforms
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev104:
  * make notifier default event publisher
  * Sort metric data before grouping and processing
* Wed Jul 22 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev100:
  * Imported Translations from Transifex
  * Switch to the oslo_utils.fileutils
  * Updated from global requirements
  * Add necessary executable permission
  * add Trove(DBaaS) events
* Mon Jul 20 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev90:
  * Use choices for hypervisor_inspector option
* Sun Jul 19 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev88:
  * The product name Vsphere should be vSphere
  * Fix gnocchi DispatcherTest tests
* Sat Jul 18 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev85:
  * Store and restore the xtrace option in devstack plugin
  * gnocchi: Remove useless resources patching
  * Delay the start of the collector until after apache restart
  * Clean the re-implemented serializers in Ceilometer
* Fri Jul 17 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev77:
  * Set conf.gnocchi_dispatcher.url explicitly in tests
  * Declarative meters support
* Thu Jul 16 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev73:
  * Stop the tests if backend hasn't started
  * monkey_patch thread in tests
* Tue Jul 14 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev71:
  * Namespace functions in devstack plugin
  * Make ceilometer work correctly when hosted with a SCRIPT_NAME
  * Implementation of dynamically reloadable pipeline
* Mon Jul 13 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev65:
  * disable non-metric meters
* Sat Jul 11 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev63:
  * Added valid values of operator to response body
  * gnocchi: fixes the instance flavor type
  * gnocchi dispatcher: fix typo in stevedore endpoint
  * Imported Translations from Transifex
* Fri Jul 10 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev56:
  * Tolerate alarm actions set to None
* Thu Jul  9 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev55:
  * fix log msg typo in api utils
  * Updated from global requirements
  * Add documentation about the usage of api-no-pipline
  * drop deprecated pipeline
  * Improve doc strings after changing method for index creation
  * set default limit to meter/sample queries
  * collector: fix test raising error
  * Remove test-requirements-py3.txt
  * remove unused event query
  * Create a devstack plugin for ceilometer
  * Add support for posting samples to notification-agent via API
  * restore long uuid data type
  * Revert "Add support for posting samples to notification-agent via API"
  * Update alarm history only if change in alarm property
  * test error log - catch dummy error
  * fix kafka tests from flooding logs
  * catch warnings from error tests
  * remove unused notifier
  * Add support for posting samples to notification-agent via API
  * Replaces methods deprecated in pymongo3.0
  * Imported Translations from Transifex
  * Switch to using pbr's autodoc capability
  * Optionally create trust for alarm actions
* Wed Jun 24 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev17:
  * Stop dropping deprecated tables while upgrade in mongodb and db2
  * Add handler of sample creation notification
  * Remove the unused get_targets method of plugin base
  * add oslo.service options
  * Restricts pipeline to have unique source names
  * drop use of oslo.db private attribute
  * Fix oslo.service configuration options building
  * Add fileutils to openstack-common.conf
  * Remove unnecessary wrapping of transformer ExtentionManager
  * Replaces ensure_index for create_index
* Tue Jun 23 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0b2.dev1:
  5.0.0.0b1
  * Remove unnecessary executable permission
  * Switch to oslo.service
  * For sake of future python3 encode FakeMemcache hashes
* Mon Jun 22 2015 cloud-devel@suse.de
- Update to version ceilometer-5.0.0.0a1.dev11:
  * Port test_complex_query to Python 3
  * Fix expected error message on Python 3
  * Fix usage of iterator/list on Python 3
  * pip has its own download cache by default
  * Update version for Liberty
* Fri Jun 19 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev4:
  * Gnocchi Dispatcher support in Ceilometer
  * Fix unicode/bytes issues in API v2 tests
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev1:
  * Make acl_scenarios tests' keystonemiddleware cache work flexibly
  5.0.0a0
* Thu Jun 18 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev158:
  * Updated from global requirements
  * Fix alarm rest notifier logging to include severity
  * Remove useless execute bit on rst file
  * Fix the meter unit types to be consistent
  * Remove snapshot.update events as they are not sent
* Tue Jun 16 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev149:
  * Fix script name in tox.ini for Elasticsearch
  * [elasticsearch] default trait type to string
* Mon Jun 15 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev145:
  * tests: use policy_file in group oslo_policy
  * Fix publisher test_udp on Python 3
  * Lower down the range for columns which are being used as uuid
* Sun Jun 14 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev140:
  * Fix Ceph object store tests on Python 3
  * Port IPMI to Python 3
  * Port middleware to Python 3
  * Updated from global requirements
* Thu Jun 11 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev136:
  * Sync with latest oslo-incubator
  * Remove deprecated Swift middleware
  * add DNS events
  * Handle database failures on api startup
  * Remove pagination code
  * Switch from MySQL-python to PyMySQL
  2015.1.0
  * Have eventlet monkeypatch the time module
  * Updated from global requirements
  * Fix valueerror when ceilometer-api start
  * use message id to generate hbase unique key
  * gnocchi: fix typo in the aggregation endpoint
  * Release Import of Translations from Transifex
  * update .gitreview for stable/kilo
  2014.2
  * Fix recording failure for system pollster
  * Add oslo.db to config generator
  2014.2.rc2
  * Manually updated translations
  * Fix neutron client to catch 404 exceptions
  * Fix OrderedDict usage for Python 2.6
* Wed Jun 10 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev146:
  * Fix testing of agent manager with tooz
  * Fix more tests on Python 3
  * Remove old oslo.messaging aliases
  * Remove useless versioninfo and clean ceilometer.conf git exclusion
  * Add running functional scripts for defined backend
  * Cause gabbi to skip on no storage sooner
* Sat Jun  6 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev135:
  * Register oslo_log options before using them
* Fri Jun  5 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev134:
  * WSME version >=0.7 correctly returns a 405
  * Remove iso8601 dependency
  * [unittests] Increase agent module unittests coverage
* Thu Jun  4 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev128:
  * TraitText value restricted to max length 255
  * Updated from global requirements
  * Move eventlet using commands into own directory
  * Disable rgw pollster when aws module not found
  * Fixes DiskInfoPollster AttributeError exception
* Wed Jun  3 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev118:
  * adjust alarm post ut code to adapt to upstream wsme
  * remove useless log message
* Fri May 29 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev115:
  * use oslo.log instead of oslo-incubator code
  * Port test_inspector to Python 3
  * Fix usage of dictionary methods on Python 3
  * Imported Translations from Transifex
  * Add oslo.vmware to Python 3 test dependencies
  * Enable test_swift_middleware on Python 3
* Thu May 28 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev104:
  * Clear useless exclude from flake8 ignore in tox
* Wed May 27 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev102:
  * Enable more tests on Python 3
  * Skip hbase tests on Python 3
  * Stop importing print_function
  * Fixing event types pattern for Role Noti. handler
  * Initial commit for functional tests
* Tue May 26 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev92:
  * Remove useless release script in tools
  * Remove useless dependency on posix_ipc
  * Remove exceute bit on HTTP dispatcher
  * Remove oslo.messaging compat from Havana
  * Mask database.event_connection details in logs
  * ensure collections created on upgrade
* Sat May 23 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev80:
  * Python 3: encode to UTF-8 when needed
* Wed May 20 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev78:
  * Python 3: replace long with int
  * Python 3: sort tables by their full name
* Tue May 19 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev74:
  * Python 3: Replace unicode with six.text_type
  * Python 3: generalize the usage of the six module
  * Update Python 3 requirements
  * Python 3: set __bool__() method on Namespace
  * Python 3: replace sys.maxint with sys.maxsize
* Sat May 16 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev65:
  * proposal to add Chris Dent to Ceilometer core
  * small change to development.rst file
* Wed May 13 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev61:
  * Update a test to properly anticipate HTTP 405 for RestController
* Tue May 12 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev60:
  * rebuild event model only for database writes
  * cleanup problem events logic in event db storage
  * Improve ceilometer-api install documentation
* Sat May  9 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev54:
  * Imported Translations from Transifex
* Fri May  8 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev52:
  * fix incorrect docstring for dispatcher
* Thu May  7 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.0.dev51:
  * api: record severity change in alarm history
  * VMware: verify vCenter server certificate
  * Add hardware memory buffer and cache metrics
  * Make interval optional in pipeline
  * empty non-string values are returned as string traits
  * Trait_* models have incorrect type for key
  * stop mocking os.path in test_setup_events_default_config
  * Override gnocchi_url configuration in test
* Thu Apr 30 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev41:
  * Remove py33 tox target
* Wed Apr 29 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev39:
  * Drop use of 'oslo' namespace package
  * made change to mod_wsgi.rst file
  * Fix raise error when run "tox -egenconfig"
  * Move ceilometer/cli.py to ceilometer/cmd/sample.py
* Mon Apr 27 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev32:
  * Updated from global requirements
  * Fix None TypeError in neutron process notifications
  * Have eventlet monkeypatch the time module
  * Add the function of deleting alarm history
  * Fix valueerror when ceilometer-api start
  * remove deprecated partitioned alarm service
* Wed Apr 22 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev24:
  * Replace 'metrics' with 'meters' in option and doc
* Tue Apr 21 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev22:
  * Fix Copyright date in docs
  * use message id to generate hbase unique key
* Fri Apr 17 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev19:
  * gnocchi: fix typo in the aggregation endpoint
  * broadcast data to relevant queues only
  * fix combination alarm with operator == 'or'
  * Updated from global requirements
* Sun Apr 12 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev11:
  * Imported Translations from Transifex
* Sat Apr 11 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev10:
  * Fix a samples xfail test that now succeeds
  * Cosmetic changes for system architecture docs
  * limit alarm actions
* Fri Apr 10 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.2.dev4:
  2015.1.0rc1
  * proposal to add ZhiQiang Fan to Ceilometer core
  * Open Liberty development
  * Fix a issue for kafka-publisher and refactor the test code
  * pymongo 3.0 breaks ci gate
  * use oslo.messaging dispatch filter
  * Further mock adjustments to deal with intermittent failure
  * Adds support for default rule in ceilometer policy.json
  * Use oslo_vmware instead of deprecated oslo.vmware
  * reset croniter to avoid cur time shift
  * Avoid conflict with existing gnocchi_url conf value
* Wed Apr  8 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev55:
  * Updated from global requirements
  * Remove 'samples:groupby' from the Capabilities list
  * Use old name of 'hardware.ipmi.node.temperature'
  * Tweak authenticate event definition
* Sat Apr  4 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev47:
  * Revert "remove instance:<flavor> meter"
  * Add project and domain ID to event definition for identity CRUD
* Fri Apr  3 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev45:
  * Fix the event type for trusts
* Wed Apr  1 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev44:
  * Imported Translations from Transifex
  * Avoid a error when py27 and py-mysql tests run in sequence
  * remove instance:<flavor> meter
  * support ability to skip message signing
* Tue Mar 31 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev37:
  * Stop using PYTHONHASHSEED=0 in ceilometer tests
  * Added ipv6 support for udp publisher
  * Remove the unnecessary dependency to netaddr
  * Optimize the flow of getting pollster resources
* Sat Mar 28 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev30:
  * Using oslo.db retry decorator for sample create
  * alarm: Use new gnocchi aggregation API
  * collector: enable the service to listen on IPv6
  * minimise the use of hmac
  * support disabling profiler and http meters
  * drop deprecated novaclient.v1_1
  * Add gabbi tests to explore the Meter and MetersControllers
* Fri Mar 27 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev16:
  * Ceilometer retrieve all images by 'all-tenants'
  * fix incorrect key check in swift notifications
  * Updated from global requirements
* Thu Mar 26 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev10:
  * Typo in pylintrc
* Wed Mar 25 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev8:
  * ensure collections created on upgrade
  * refuse to post sample which is not supported
  * exclude precise metaquery in query field
* Tue Mar 24 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev2:
  * Fix common misspellings
* Sat Mar 21 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev1:
  * Enable collector to requeue samples when enabled
  2015.1.0b3
* Thu Mar 19 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev198:
  * Imported Translations from Transifex
  * remove log message when process notification
  * Fix typos and format in docstrings in http dispatcher
  * add ability to dispatch events to http target
  * add ability to publish to multiple topics
* Wed Mar 18 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev188:
  * Add gabbi tests for resources
  * doc: fix class name
  * Add memory.resident libvirt meter for Ceilometer
* Tue Mar 17 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev183:
  * make field and value attributes mandatory in API Query
  * Fix db2 upgrade in multi-thread run issue
  * Update reference
* Sat Mar 14 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev178:
  * Check the namespaces duplication for ceilometer-polling
  * add network, kv-store, and http events
* Fri Mar 13 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev174:
  * Imported Translations from Transifex
  * mysql doesn't understand intersect
  * order traits returned within events
  * Add support for additional identity events
* Thu Mar 12 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev167:
  * Add a Kafka publisher as a Ceilometer publisher
  * Fix response POST /v2/meters/(meter_name) to 201 status
  * Attempt to set user_id for identity events
  * Switch to oslo.policy 0.3.0
  * normalise timestamp in query
  * Updated from global requirements
* Wed Mar 11 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev155:
  * Add more power and thermal data
  * Fix formatting error in licence
  * Added option to allow sample expiration more frequently
  * add option to store raw notification
  * alarming: add gnocchi alarm rules
* Wed Mar  4 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev147:
  * use mongodb distinct
  * remove event_types ordering assumption
  * Add gabbi tests to cover the SamplesController
  * Tidy up clean-samples.yaml
  * correct column types in events
* Tue Mar  3 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev139:
  * api: fix alarm creation if time_constraint is null
  * fix log message format in event.storage.impl_sqlalchemy
  * Remove duplications from docco
  * Fix a few typos in the docs
  * api: move alarm rules into they directory
  * Patch for fixing hardware.memory.used metric
* Sat Feb 28 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev127:
  * use default trait type in event list query
  * fix wrong string format in libvirt inspector
  * create a developer section and refactor
  * fix config opts in objectstore.rgw
  * Updated from global requirements
* Fri Feb 27 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev118:
  * Do not default pecan_debug to CONF.debug
  * Adding Gabbi Tests to Events API
* Thu Feb 26 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev115:
  * support time to live on event database for sql backend
  * add an option to disable non-metric meters
  * add missing objectstore entry points
  * Initial gabbi testing for alarms
  * reorganise architecture page
  * Use oslo_config choices support
  * fix inline multiple assignment
* Wed Feb 25 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev103:
  * Add ceph object storage meters
  * compress events notes
  * Fix unittests for supporting py-pgsql env
  * Adding links API and CLI query examples
* Tue Feb 24 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev95:
  * Protect agent startup from import errors in plugins
  * Revert "Add ceph object storage meters"
  * Add ceph object storage meters
* Sat Feb 21 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev89:
  * Destroy fixture database after each gabbi TestSuite
  * Be explicit about using /tmp for temporary datafiles
* Fri Feb 20 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev85:
  * [PostgreSQL] Fix regexp operator
  * Add clean_exit for py-pgsql unit tests
* Thu Feb 19 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev82:
  * modify events sql schema to reduce empty columns
  * check metering_connection attribute by default
  * unicode error in event converter
  * cleanup measurements page
  * start recording error notifications
* Tue Feb 17 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev72:
  * Remove duplicated resource when pollster polling
  * api: add missing combination_rule field in sample
  * Fix test case of self-disabled pollster
  * update event architecture diagram
* Mon Feb 16 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev64:
  * use configured max_retries and retry_interval for database connection
  * Updated from global requirements
* Sat Feb 14 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev60:
  * Making utilization the default spelling
  * Use werkzeug to run the developement API server
* Fri Feb 13 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev56:
  * Add Disk Meters for ceilometer
  * correctly leave group when process is stopped
  * Updated from global requirements
  * enable oslo namespace check for ceilometer project
  * Add doc for version list API
* Thu Feb 12 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev46:
  * Enabling self-disabled pollster
  * Imported Translations from Transifex
  * switch to oslo_serialization
  * move non-essential libs to test-requirements
  * clean up to use common service code
* Wed Feb 11 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev37:
  * Validate default values in config
  * fix the value of query_spec.maxSample to advoid to be zero
  * metering data ttl sql backend breaks resource metadata
  * Refactor unit test code for disk pollsters
  * Drop deprecated namespace for oslo.rootwrap
* Tue Feb 10 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev27:
  * Add more sql test scenarios
  * [SQLalchemy] Add regex to complex queries
  * Fix duplication in sinks names
  * Remove no_resource hack for IPMI pollster
  * Add local node resource for IPMI pollsters
* Sat Feb  7 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev18:
  * [MongoDB] Add regex to complex queries
* Fri Feb  6 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev16:
  * Use stevedore to load alarm rules api
  * Imported Translations from Transifex
  * support time to live on event database for MongoDB
  2015.1.0b2
  * split api.controllers.v2
  * add elasticsearch events db
  * use debug value for pecan_debug default
  * Shuffle agents to send request
  * Updated from global requirements
  * Adds disk iops metrics implementation in Hyper-V Inspector
  * switch to oslo_i18n
* Wed Feb  4 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev150:
  * discovery: allow to discover all endpoints
  * Declarative HTTP testing for the Ceilometer API
  * add listener to pick up notification from ceilometermiddleware
  * remove empty module tests.collector
  * Add disk latency metrics implementation in Hyper-V Inspector
  * add event listener to collector
  * add notifier publisher for events
* Tue Feb  3 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev137:
  * enable event pipeline
  * Imported Translations from Transifex
  * deprecate swift middleware
  * sync oslo and bring in versionutils
  * Expose alarm severity in Alarm Model
  * Hyper-V: Adds memory metrics implementation
  * Remove mox from requirements
  * Fix IPMI unit test to cover different platforms
  * adjust import group order in db2 ut code
  * add event pipeline
  * Disable proxy in unit test case of test_bin
  * add glance events
* Thu Jan 29 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev115:
  * Upgrade to hacking 0.10
* Wed Jan 28 2015 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev113:
  * Fix docs repeating measuring units
* Tue Jan 27 2015 tbechtold@suse.com
- Update to version ceilometer-2015.1.dev111:
  * remove unexistent module from doc/source/conf.py
  * Remove the Nova notifier
  * Remove argparse from requirements
  * [MongoDB] Improves get_meter_statistics method
  * [DB2 nosql] Create TIMESTAMP type index for 'timestamp' field
  * remove pytidylib and netifaces from tox.ini external dependency
  * Avoid unnecessary API dependency on tooz & ceilometerclient
  * Correct name of "ipmi" options group
  * Fix Opencontrail pollster according the API changes
  * enable tests.storage.test_impl_mongodb
  * Remove lockfile from requirements
  * Disable eventlet monkey-patching of DNS
  * Expose vm's metadata to metrics
  * Adding build folders & sorting gitignore
  * Add Event and Trait API to document
  * Refactor ipmi agent manager
  * Use alarm's evaluation periods in sufficient test
  * Use oslo_config instead of deprecated oslo.config
  * Avoid executing ipmitool in IPMI unit test
  * Updated from global requirements
  * Add a direct to database publisher
  * Fixed MagnetoDB metrics title
  * Imported Translations from Transifex
  * Fix incorrect test case name in test_net.py
  * Updated from global requirements
  * notification agent missing CONF option
  * Use right function to create extension list for agent test
  * Imported Translations from Transifex
  * Add an exchange for Zaqar in profiler notification plugin
  * Remove unused pecan configuration options
* Sat Dec 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev277.ge3d6921:
  * RBAC Support for Ceilometer API Implementation
  * Make LBaaS total_connections cumulative
  * remove useless looping in pipeline
  * Encompassing one source pollsters with common context
* Fri Dec 12 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev269.g7f57b56:
  * Improve links in config docs
  * Modify tests to support ordering of wsme types
  * Add some rally scenarios
* Thu Dec 11 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev263.g9af8f52:
  * Make compute discovery pollster-based, not agent-level
  * Add docs about volume/snapshot measurements
  * Standardize timestamp fields of ceilometer API
* Wed Dec 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev257.g28a2531:
  * Port to graduated library oslo.i18n
* Tue Dec  9 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev256.g35c2061:
  * Retry to connect database when DB2 or mongodb is restarted
  * Updated from global requirements
  * Workflow documentation is now in infra-manual
  * Add alarm_name field to alarm notification
* Sat Dec  6 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev248.g63b08aa:
  * Updated from global requirements
  * Override retry_interval in MongoAutoReconnectTest
* Fri Dec  5 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev244.g31e5435:
  * Rely on VM UUID to fetch metrics in libvirt
  * Imported Translations from Transifex
  * Initializing a longer resource id in DB2 nosql backend
  * Sync oslo-incubator code to latest
  * [MongoDB] Fix bug with 'bad' chars in metadatas keys
  * add sahara and heat events
  * add keystone events to definitions
  * Tests for system and network aggregate pollsters
* Thu Dec  4 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev228.gee18cde:
  * ensure unique list of consumers created
  * fix import oslo.concurrency issue
  * Do not print snmpd password in logs
  * Miniscule typo in metering_connection help string
  * [MongoDB] Add groupby ability on resource_metadata
* Wed Dec  3 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev219.gda5c159:
  * add http dispatcher
* Tue Dec  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev218.g098dd97:
  * Exclude tools/lintstack.head.py for pep8 check
* Fri Nov 28 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev217.g85acec0:
  * Add encoding of rows and qualifiers in impl_hbase
  * Database.max_retries only override on sqlalchemy side
  * Support to capture network services notifications
  * Internal error with period overflow
  * Remove Python 2.6 classifier
  * Enable pep8 on ./tools directory
  * Imported Translations from Transifex
  * Fixes Hyper-V Inspector disk metrics cache issue
  * fix swift middleware parsing
  * Fix order of arguments in assertEqual
  * Updated from global requirements
  * Adapting pylint runner to the new message format
  * Validate AdvEnum & return an InvalidInput on error
  * Add timeout to all http requests
  * [MongoDB] Refactor time to live feature
  * transform samples only when transformers exist
  * Updated from global requirements
  * Remove module not really used by Ceilometer
  * Switch to oslo.concurrency
  * Skip to poll and publish when no resources found
  * Change event type for identity trust notifications
  * Add new notifications types for volumes/snapshots
  * Add encoding to keys in compute_signature
  * Add bandwidth to measurements
  * Fix wrong example of capabilities
  * Correct the mongodb_replica_set option's description
  * Alarms listing based on "timestamp"
  * Use 'pg_ctl' utility to start and stop database
  * Correct alarm timestamp field in unittest code
  * Remove duplicated config doc
* Mon Oct 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev80.g42c3d48:
  * Add missed control exchange options to the documentation
  * Add coordination related options to the documentation
  * Add missing collector options to the documentation
  * Edit docs for docs.opentack.org/developer/
* Sat Oct 11 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev73.gf7392e4:
  * Add oslo.db to config generator
* Fri Oct 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev72.g4acc9e4:
  * Fix signature validation failure when using qpid message queue
  * clean capabilities
  * move db2 and mongo driver to event tree
  * move sql event driver to event tree
  * move hbase event driver to event tree
  * Sets default encoding for PostgreSQL testing
  * update database dispatcher to use events db
  * Add role assignment notifications for identity
  * Add user_metadata to network samples
  * Describe API versions
  * Timestamp bounds need not be tight (per ceilometer 1288372)
* Fri Oct 10 2014 tbechtold@suse.com
- Update to version ceilometer-2015.1.dev50.ga3d6ef2:
  * add mailmap to avoid dup of authors
  * Fix recording failure for system pollster
  * Updated from global requirements
  * Creates one database per sql test
  * Adds pylint check for critical error in new patches
  * Implement redesigned separator in names of columns in HBase
  * [HBase] Add migration script for new row separate design
  * Imported Translations from Transifex
  * Include a 'node' key and value in ipmi metadata
  * Run unit tests against PostgreSQL
  * create skeleton files for event storage backends
  * Imported Translations from Transifex
  * isolate event storage models
  * Fix neutron client to catch 404 exceptions
  * Updated from global requirements
  * Correct JSON-based query examples in documentation
  * Add cfg.CONF.import_group for service_credentials
  * Fix OrderedDict usage for Python 2.6
  * clean path in swift middleware
  * Provide __repr__ for SampleFilter
  * Eliminate unnecessary search for test cases
  * Fix help strings
* Thu Oct  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev6.g1278d06:
  * Run unit tests against MySQL
  * Tune up mod_wsgi settings in example configuration
* Wed Oct  1 2014 cloud-devel@suse.de
- Update to version ceilometer-2015.1.dev3.gd7bc641:
  * Open Kilo development
  2014.2.rc1
  * Use oslo.msg retry API in rpc publisher
* Tue Sep 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev89.g8b61fdd:
  * Partition static resources defined in pipeline.yaml
  * [HBase] Improves speed of unit tests on real HBase backend
* Mon Sep 29 2014 tbechtold@suse.com
- Update to version ceilometer-2014.2.dev85.gfb34fcb:
  * Per-source separation of static resources & discovery
  * dbsync: Acknowledge 'metering_connection' option
  * Fix bug in the documentation
  * Change compute agent recurring logs from INFO to DEBUG
  * Fix bug with wrong bool opt value interpolation
  * Imported Translations from Transifex
  * Removed unused abc meta class
  * update references to auth_token middleware
  * clean up swift middleware to avoid unicode errors
  * [HBase] Catch AlreadyExists error in Connection upgrade
  * Use None instead of mutables in method params default values
  * Updated from global requirements
  * Enable to get service types from configuration file
  * test db2 driver code
  * Docs: Add description of pipeline discovery section
  * Typo "possibilites" should be "possibilities"
  * Modified docs to update DevStack's config filename
  * Add an API configuration section to docs
  * Allow pecan debug middleware to be turned off
  * Switch to a custom NotImplementedError
  * minimise ceilometer memory usage
  * Partition swift pollster resources by tenant
  * Add IPMI pollster
  * Add IPMI support
  * Stop using intersphinx
  * Use central agent manager's keystone token in discoveries
  * Improve the timestamp validation of ceilometer API
  * Add validate alarm_actions schema in alarm API
* Sun Sep 14 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev34.ga31b137:
  * Handle invalid JSON filters from the input gracefully
  * Sync jsonutils for namedtuple_as_object fix
  * ceilometer spamming syslog
  * Add documentation for implemented identity meters
  * [Hbase] Add column for source filter in _get_meter_samples
* Sat Sep 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev24.gae828f2:
  * Allow to pass dict from resource discovery
  * switch to sqlalchemy core
  * Update docs with Sahara notifications configuration
* Fri Sep 12 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev18.gc5ce0a7:
  * fix network discovery meters
  * Returns 401 when unauthorized project access occurs
* Thu Sep 11 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev14.g926fc8c:
  * Imported Translations from Transifex
  * Adding another set of hardware metrics
* Wed Sep 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev10.gfbe05d8:
  * Migrate the rest of the central agent pollsters to use discoveries
  * Document the standard for PaaS service notifications
  * normalise resource data
* Tue Sep  9 2014 tbechtold@suse.com
- Update to version ceilometer-2014.2.dev4.g3263c39:
  * Fix tests with testtools>=0.9.39
  2014.2.b3
  * warn against sorting requirements
  * Switch to oslo.serialization
  * XenAPI support: Update measurements documentation
* Thu Sep  4 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev179.g601fb4b:
  * Imported Translations from Transifex
  * Switch partitioned alarm evaluation to a hash-based approach
  * XenAPI support: Disk rates
* Wed Sep  3 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev173.g25dbd23:
  * Central agent work-load partitioning
  * collector: Allows to requeue a sample
  * XenAPI support: Changes for networking metrics
  * Improve api_paste_config file searching
* Tue Sep  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev165.ge86eed2:
  * Typo fixed
  * Rebase hardware pollsters to use new inspector interface
  * Add an exchange for Trove in profiler notification plugin
* Mon Sep  1 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev159.g2692430:
  * Enhance compute diskio tests to handle multi instance
* Sun Aug 31 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev157.g9f7ccf5:
  * Document pipeline publishers configuration
  * Alarm: Use stevedore to load the service class
* Sat Aug 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev153.g7a8484f:
  * Adding comparison operators in query for event traits
  * update requirements
  * add documentation for setting up api pipeline
  * XenAPI support: Memory Usage
  * Remove oslo middleware
  * Simplify chained comparisons
* Fri Aug 29 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev141.gda37a74:
  * XenAPI support: Changes for cpu_util
  * In-code comments should start with `#`, not with `"""`
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev137.gb897463:
  * Permit usage of notifications for metering
  * XenAPI support: List the instances
* Thu Aug 28 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev133.gf8d673b:
  * Switch to use oslo.db
* Wed Aug 27 2014 tbechtold@suse.com
- Update to version ceilometer-2014.2.dev131.g9af6af5:
  * Adding quotas on alarms
  * Remove redundant parentheses
  * skip polls if service is not registered
  * Switch to oslo.utils
* Sun Aug 24 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev123.g1bd4a3f:
  * re-add hashseed to avoid gate error
* Sat Aug 23 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev122.g3006d5a:
  * Switch to oslotest
* Fri Aug 22 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev120.ga25e906:
  * Handle sqlalchemy connection strings with drivers
  * Rewrite list creation as a list literal
  * Rewrite dictionary creation as a dictionary literal
  * Use a FakeRequest object to test middleware
* Thu Aug 21 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev112.g4b42ce1:
  * Triple double-quoted strings should be used for docstrings
  * Add upgrading alarm storage in dbsync
  * Improving of configuration.rst
  * Fix typos in transformer docstrings
  * Update tox.ini pep8 config to ignore i18n functions
  * Added new hardware inspector interface
* Wed Aug 20 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev101.g344a387:
  * compute: fix wrong test assertion
  * sync olso-incubator code
  * refactor filter code in sql backend
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev95.g5c25d85:
  * Support for per disk volume measurements
* Mon Aug 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev93.g2a3fcd5:
  * VMware: Support secret host_password option
* Fri Aug 15 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev92.gae630cf:
  * [HBase] Refactor hbase.utils
* Thu Aug 14 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev90.g7903524:
  * Imported Translations from Transifex
  * Issue one SQL statement per execute() call
* Wed Aug 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev87.g075ca40:
  * Adding init into tools folder
  * Enhancing the make_test_data script
  * Improve performance of libvirt inspector requests
  * Documented Stevedore usage and source details
  * Doc enhancement for API service deployment with mod_wsgi
* Wed Aug 13 2014 tbechtold@suse.com
- Update to version ceilometer-2014.2.dev77.gc66a0f3:
  * Allow tests to run outside tox
  * Set page size when Glance API request is called
  * correct DB2 installation supported features documentation
  * Avoid duplication of discovery for multi-sink sources
  * Add notifications for identity authenticate events
* Mon Aug 11 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev68.g9936b34:
  * Add message translate module in vmware inspector
  * Handle Cinder attach and detach notifications
  * [HBase] Improve uniqueness for row in meter table
  * Update documentation for new transformer
  * Add the arithmetic transformer endpoint to setup.cfg
  * Imported Translations from Transifex
  * Fix unit for vpn connection metric
  * Debug env for tox
  * Fix listener for update.start notifications
  * Sahara integration with Ceilometer
  * Add notifications for identity CRUD events
  * Extracting make_resource_metadata method
  * Fix make_test_data tools script
  * Replace datetime of time_constraints by aware object
* Sat Aug  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev41.g0232968:
  * Change spelling mistakes
  * Use auth_token from keystonemiddleware
  * Fix two out-dated links in doc
* Fri Aug  1 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev35.gff52753:
  * Fix dict and set order related issues in tests
  * Use None instead of mutables in test method params defaults
* Wed Jul 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev31.gc638d04:
  * Add cumulative and gauge to aggregator transformer
  * Enable some tests against py33
  * Remove --tmpdir from mktemp
  * Replace dict.iteritems() with six.iteritems(dict)
  * Replace iterator.next() with next(iterator)
  * Fix aggregator flush method
  * Automatic discovery of TripleO Overcloud hardware
  * Set python hash seed to 0 in tox.ini
  * Don't override the original notification message
  * Remove ConnectionProxy temporary class
  * Move sqlalchemy alarms driver code to alarm tree
  * basestring replaced with six.string_types
  * Correct misspelled words
  2014.2.b2
  * Move hbase alarms driver code to alarm tree
  * Remove redudent space in doc string
  * Add testcase for multiple discovery-driven sources
  * Make the error message of alarm-not-found clear
* Thu Jul 24 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev165.gac1b4f1:
  * Add retry function for alarm REST notifier
  * Update measurement docs for FWaaS
  * Update measurement docs for VPNaaS
  * Updated from global requirements
* Wed Jul 23 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev158.gb8e5ecd:
  * Follow up fixes to network services pollsters
  * Implement consuming ipmi notifications from Ironic
  * Support for metering FWaaS
  * Adds Content-Type to alarm REST notifier
  * Multi meter arithmetic transformer
  * Add support for metering VPNaaS
  * Use resource discovery for Network Services
  * Move log alarms driver code to alarm tree
  * Separate the console scripts
  * clean up event model
  * improve expirer performance for sql backend
  * Fix SQL exception getting statitics with metaquery
* Tue Jul 22 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev135.gc1f4eaf:
  * Change of get_events and get_traits method in MongoDB and Hbase
* Mon Jul 21 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev134.g9164d6f:
  * Move mongodb/db2 alarms driver code to alarm tree
  * Allow to have different DB for alarm and metering
  * Sync oslo log module and its dependencies
  * Fixes aggregator transformer timestamp and user input handling
  * Fix incorrect use of timestamp in test
  * Fix aggregator _get_unique_key method
  * Add log output of "x-openstack-request-id" from nova
* Fri Jul 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev121.g5ad1ca6:
  * Use hmac.compare_digest to compare signature
  * Fix typos in code comments & docstrings
* Thu Jul 17 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev118.g0b77c8a:
  * Improves pipeline transformer documentation
  * Add keystone control exchange
  * Fix call to meter-list in measurements doc
  * Remove redundant parentheses
  * Transform sample_cnt type to int
  * Improve a bit performance of Ceilometer
* Sun Jul 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev106.gb9daae6:
  * VMware:Update the ceilometer doc with VMware opts
* Sat Jul 12 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev104.gf7a0820:
  * [Mongodb] Implement events on Mongodb and DB2
* Fri Jul 11 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev102.geec8876:
  * Remove docutils pin
  * Revert "Align to openstack python package index mirror"
* Wed Jul  9 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev98.ga4fd88c:
  * Fix H405 violations and re-enable gating
  * Fix H904 violations and re-enable gating
* Sat Jul  5 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev94.gb423c9d:
  * update default_log_levels set by ceilometer
  * Remove useless sources.json
  * Fix H307 violations and re-enable gating
* Thu Jul  3 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev88.g96d16ad:
  * Fix annoying typo in partition coordinator test
* Tue Jul  1 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev87.g303a1ce:
  * Fix the section name in CONTRIBUTING.rst
  * Added osprofiler notifications plugin
  * Fix F402 violations and re-enable gating
  * use urlparse from six
* Mon Jun 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev80.g05a3a31:
  * Remove meter hardware.network.bandwidth.bytes
  * Fixed various import issues exposed by unittest
  * clean up sample index
* Fri Jun 27 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev74.g09720bf:
  * Avoid reading real config files in unit test
* Thu Jun 26 2014 dmueller@suse.com
- Update to version ceilometer-2014.2.dev72.ga4ad787:
  * Fix E265 violations and re-enable gating
  * Fix E251 violations and re-enable gating
  * Fix E128 violations and re-enable gating
  * Fix E126,H104 violations and re-enable gating
  * Bump hacking to 0.9.x
  * Fix HBase available capabilities list
  * Updated from global requirements
  * Handle non-ascii character in meter name
  * Imported Translations from Transifex
  * fix StringIO errors in unit test
  * Fix hacking rule 302 and enable it
  * Imported Translations from Transifex
  * sync oslo code
  * Fixes ceilometer-compute service start failure
  * Splits hbase storage code base
* Thu Jun 19 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev48.ga6020be:
  * Reenables the testr per test timeout
  * Clean up oslo.middleware.{audit,notifier}
  * Use hacking from test-requirements
  * Splits mongo storage code base
  * Fix method mocked in a test
* Wed Jun 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev39.gb19c138:
  * Separate alarm storage models from other models
  * Iterates swift response earlier to get the correct status
  * Fix messaging.get_transport caching
  * Clean up .gitignore
  * Fix Sphinx directive name in session.py
  * Fix list of modules not included in auto-gen docs
  * Remove unused logging in tests
  * Fix LBaaS connection meter docs
  * Respect $TMPDIR environment variable to run tests
  * Corrects a flaw in the treatment of swift endpoints
* Tue Jun 17 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev19.g5ff550e:
  * Don't keep a single global TRANSPORT object
  * Fix ceilometer.alarm.notifier.trust import
* Mon Jun 16 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev16.g3efe03b:
  * [HBase] get_resource optimization
* Sat Jun 14 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev14.g9298ddc:
  * Downgrade publisher logging to debug level again
  * Fix incorrect trait initialization
  * Synced jsonutils from oslo-incubator
* Fri Jun 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev8.gac350d1:
  2014.2.b1
  * remove default=None for config options
  * Revert "Fix the floatingip pollster"
  * Adding alarm list filtering by state and meter
  * Adds caches for image and flavor in compute agent
  * Use TYPE_GAUGE rather than TYPE_CUMULATIVE
  * Fix project authorization check
* Thu Jun 12 2014 dmueller@suse.com
- Update to version ceilometer-2014.2.dev185.gc6dcc20:
  * Remove low-value logging from publication codepath
  * Fix the meter type for LB Bytes
  * [HBase] Implement events on HBase
  * Skipping central agent pollster when keystone not available
  * Fixed unit test TestRealNotification
  * Update Measurement Docs for LBaaS
  * Metering LoadBalancer as a Service
  * Removes per test testr timeout
  * Change pipeline_manager to instance attribute in hooks
  * Change using of limit argument in get_sample
  * Refactor tests to remove direct access to test DBManagers
  * Update doc for sample config file issue
  * use LOG instead of logger as name for the Logger object
  * Remove (c) and remove unnecessary encoding lines
* Tue Jun 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev157.ga30beaa:
  * Fix notification for NotImplemented record_events
  * Add missing explicit cfg option import
* Mon Jun  9 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev153.g3b720b6:
  * Clean tox.ini
  * Fix the floatingip pollster
* Sun Jun  8 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev149.g4352a93:
  * Don't rely on oslomsg configuration options
* Sat Jun  7 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev147.g10db6b5:
  * Add new 'storage': {'production_ready': True} capability
  * Align to openstack python package index mirror
* Thu Jun  5 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev143.g2b56281:
  * Fix doc gate job false success
  * Improve performance of api requests with hbase scan
  * replaced unicode() with six.text_type()
* Sat May 31 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev137.g1fa9302:
  * Fix testing gate due to new keystoneclient release
  * reconnect to mongodb on connection failure
* Fri May 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev134.g4ed4559:
  * Ignore the generated file ceilometer.conf.sample
  * Update the copyright date in doc
* Thu May 29 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev131.g8acf08a:
  * Updated from global requirements
  * refactor sql backend to improve write speed
* Wed May 28 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev129.g08eea70:
  * Fix network notifications of neutron bulk creation
* Tue May 27 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev127.g7a2a8b8:
  * Update testrepository configuration
* Sat May 24 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev126.g4bfa2f4:
  * Implemented metering for Cinder's snapshots
  * Use None instead of mutables in method params defaults
* Fri May 23 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev122.gaa9e8cb:
  * Use joins instead of subqueries for metadata filtering
  * Remove all mostly untranslated PO files
  * Check if samples returned by get_sample_data are not None
* Thu May 22 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev117.g21774ae:
  * switch SplitResult to use six
  * Remove unused db code due to api v1 drop
  * Updated from global requirements
* Wed May 21 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev113.g6f9e46b:
  * oslo.messaging context must be a dict
  * mongo: remove _id in inserted alarm changes
* Tue May 20 2014 dmueller@suse.com
- Update to version ceilometer-2014.2.dev110.g6a7d6ec:
  * Drop deprecated api v1
* Thu May 15 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev109.gd646d84:
  * Opencontrail network statistics driver
* Sat May 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev107.g0bb852d:
  * Clean up openstack-common.conf
* Fri May  9 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev106.g715bef1:
  * Revert "oslo.messaging context must be a dict"
  * Correct class when stopping partitioned alarm eval svc
  * Correcting formatting and adding period in measurement doc
* Thu May  8 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev101.g5df4cb5:
  * oslo.messaging context must be a dict
* Wed May  7 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev100.gdbeb626:
  * Corrections of spelling, rephrasing for clarity
  * Removed StorageEngine class and it's hierarchy
* Tue May  6 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev96.gacafa3e:
  * Adapt failing tests for latest wsme version
  * Synced jsonutils from oslo-incubator
* Fri May  2 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev93.g2633eb8:
  * Initialize dispatcher manager in event endpoint
* Wed Apr 30 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev91.g83b0862:
  * Replaced CONF object with url in storage engine creation
  * Remove gettextutils._ imports where they are not used
  * Remove "# noqa" leftovers for gettextutils._
  * Make entities (Resource, User, Project) able to store lists
* Tue Apr 29 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev83.g800395f:
  * transformer: Add aggregator transformer
  * Remove conversion debug message
  * Fix the return of statistic with getting no sample
  * Remove eventlet.sleep(0) in collector tests
  * Don't allow queries with 'IN' predicate with an empty sequence
  * Add a alarm notification using trusts
  * Replace hard coded WSGI application creation
  * Describe storage backends in the collector installation guide
  * Made get_capabilities a classmethod instead of object method
  * Disable reverse dns lookup
  * Consume notif. from multiple message bus
  * Use NotificationPlugin as an oslo.msg endpoint
  * Improve combination rule validation
  * Remove ceilometer.conf.sample
  * cleanup virt pollster code
* Tue Apr 22 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev56.g3d0e755:
  * Add encoding argument to deserialising udp packets in collector
* Sat Apr 19 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev54.ge5b7606:
  * Use known protocol scheme in keystone tests
* Thu Apr 17 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev53.g1ed1a0a:
  * Made get_engine method module-private
  * Remove duplicate alarm from alarm_ids
  * fix statistics query in postgres
* Wed Apr 16 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.2.dev47.g8192748:
  * More accurate meter name and unit for host load averages
  * Replace oslo.rpc by oslo.messaging
* Mon Apr 14 2014 dmueller@suse.com
- Update to version ceilometer-2014.2.dev44.g0eb9f51:
  * Fix a response header bug in the error middleware
  * Remove unnecessary escape character in string format
  * Optimize checks to set image properties in metadata
  * Removed useless code from __init__ method
  * Refactored fake connection URL classes
  * Replace assert statements with assert methods
  * Removes direct access of timeutils.override_time
  * Disable specifying alarm itself in combination rule
  * Include instance state in metadata
  * Allowed nested resource metadata in POST'd samples
  * Sync oslo-incubator code
  * Updated from global requirements
  * Refactor the DB implementation of Capabilities API
  * Fix Jenkins translation jobs
  * User a more accurate max_delay for reconnects
  * Open Juno development
  2014.1.rc1
  * Imported Translations from Transifex
  * Add note on aggregate duplication to API docco
  * Use ConectionPool instead of one Connection in HBase
  * remove dump tables from previous migrations
  * De-dupe selectable aggregate list in statistics API
  * ensure dispatcher service is configured before rpc
  * improve performance of resource-list in sql
  * SSL errors thrown with Postgres on multi workers
  * Remove escape character in string format
  * Verify user/project ID for alarm created by non-admin user
* Thu Mar 27 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev100.g63ff15e:
  * Fix ceilometer.conf.sample mismatch
  * Ensure idempotency of cardinality reduction in mongo
  * fix create_or_update logic to avoid rollbacks
  * Avoid swallowing AssertionError in test skipping logic
  * spawn multiple workers in services
  * Fix updating alarm can specify existing alarm name
* Wed Mar 26 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev89.g03c803b:
  * VMware vSphere: Improve the accuracy of queried samples
  * Fix validation error for invalid field name in simple query
  * Fixes duplicated names in alarm time constraints
* Tue Mar 25 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev85.gf201973:
  * Fix hardware pollster to inspect multiple resources
  * Install global lazy _()
* Mon Mar 24 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev81.g6f18270:
  * Fix order of arguments in assertEquals
* Sat Mar 22 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev79.g65a6366:
  * Fixes Hyper-V metrics units
  * Ensure intended indices on project_id are created for mongo
  * Fix the type of the disk IO rate measurements
  * Change the sample_type from tuple to string
  * Eventlet monkeypatch must be done before anything
  * Fix order of arguments in assertEquals
  * Fix order of arguments in assertEquals
  * Skip central agent interval_task when keystone fails
* Fri Mar 21 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev63.ga9e7d80:
  * Ensure alarm rule conform to alarm type
  * insecure flag added to novaclient
  * VMware vSphere: Bug fixes
  * Ensure insecure config option propagated by alarm evaluator
  * Fix order of arguments in assertEquals
  * add host meters to doc
  * Add field translation to complex query from OldSample to Sample
  * Corrected the sample names in hardware pollsters
  * Add user-supplied arguments in log_handler
  * Fix some spelling mistakes and a incorrect url
* Tue Mar 18 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev43.g513cbb0:
  * 028 migration script incorrectly skips over section
  * Fix bug in get_capabilities behavior in DB drivers
  * Added documentation for selectable aggregates
  * Make sure use IPv6 sockets for ceilometer in IPv6 environment
  * Rationalize get_resources for mongodb
  * Fixes Hyper-V Inspector network metrics values
* Sun Mar 16 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev31.g9a489b5:
  * Updated doc with debug instructions
* Sat Mar 15 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev29.g87349b2:
  * Ensure insecure config option propagated by alarm service
  * Extend test case to cover old alarm style conversion
* Thu Mar 13 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev25.ga4f693b:
  * Implements monitoring-network-from-opendaylight
  * VMware vSphere support: Disk rates
  * Changes for networking metrics support for vSphere
  * Fix broken statistics in sqlalchemy
  * Fix typo
* Wed Mar 12 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev15.gc6d89ec:
  * Make ceilometer work with sqla 0.9.x
  * VMware vSphere: Changes for cpu_util
  * VMware vSphere support: Memory Usage
  * Set storage engine for the trait_type table
* Mon Mar 10 2014 cloud-devel@suse.de
- Update to version ceilometer-2014.1.dev7.g2e150c5:
  * Enable monkeypatch for select module
  2014.1.b3
  * Ensure user metadata mapped for instance notifications
* Fri Mar  7 2014 speilicke@suse.com
- Fix Source URL
* Fri Mar  7 2014 speilicke@suse.com
- Add new dependency on python-croniter, suggest python-pysnmp
* Wed Jan  8 2014 speilicke@suse.com
- Fix requirements
* Mon Sep 16 2013 speilicke@suse.com
- Refreshed (Build)Requires
* Mon Sep 16 2013 speilicke@suse.com
- Relax version constraints on python-Flask
* Thu Jul 18 2013 berendt@b1-systems.de
- added missing build requirement python-logutils
* Mon May 13 2013 dmueller@suse.com
- add python-PyYAML requires
* Mon Mar 18 2013 speilicke@suse.com
- Drop +git.$TIMESTAMP.$COMMITHASH version suffix
* Tue Feb 26 2013 dmueller@suse.com
- Add python-oslo-config buildrequires
* Fri Feb 22 2013 saschpe@suse.de
- BuildRequire openstack-suse-macros instead of openstack-macros
* Thu Jan 17 2013 saschpe@suse.de
- Update requirements
- Use correct HTML location
* Mon Jan 14 2013 dmueller@suse.com
- Update to version 2013.1+git.1358162276.edd9332:
  + Enhance policy test for init()
  + Provide the meters unit's in /meters
  + Fix keystoneclient auth_token middleware changes
  + policy: fix policy_file finding
  + Remove the _initialize_config_options
  + Add pyflakes
  + Make the v2 API date query parameters consistent
  + Fix test blocking issue and pin docutils version.
  + Apply the official OpenStack stylesheets and templates to the Doc build.
  + Fixed erroneous source filter in SQLAlchemy.
  + Fix warnings in the documentation build
  + Handle finish and revert resize notifications.
  + Add support for Folsom version of Swift
  + Implement user-api
  + Add support for Swift incoming/outgoing trafic metering
  + Pass a dict configuration file to auth_keystone
  + Import only once in nova_notifier
  + Fix MySQL charset error.
  + Use default configuration file to make test data.
  + Fix Glance control exchange
  + Move back api-v1 to the main api
  + Fix WSME arguments handling change
  + Remove useless gettext call in sql engine
  + Ground work for transifex-ify ceilometer.
  + Add instance_type information to NetPollster
  + Fix dbsync API change
  + Fix image_id in instance resource metadata
  + Instantiate inspector in compute manager
  + remove direct nova db access from ceilometer.
  + Make debugging the wsme app a bit easier.
  + Implements database upgrade as storage engine independent
  + Fix the v1 api importing of acl
  + Add the ability to filter on metadata.
  + Virt inspector directly layered over hypervisor API
  + Move meter.py into collector directory
  + Change mysql schema from latin1 to utf8 .
  + Change default os-username to 'ceilometer'
  + Restore some metadata to the events and resources
  + Update documentation URL
  + Add sql db option to devstack for ceilometer
  + Remove debug print in V2 API
  + Start updating documentation for V2 API
  + Implement V2 API with Pecan and WSME
  + Move v1 API files into a subdirectory
  + Add test storage driver
  + Implement /meters to make discovery "nicer" from the client
  + Fix sqlalchemy for show_data and v1 web api
  + Implement object store metering
  + Make Impl of mongodb and sqlalchemy consistent
  + add migration migrate.cfg file to the python package
  + Fixes to enable the jenkins doc job to work
  + Lower the minimum required version of anyjson
  + Fix blocking test for nova notifier
  + network: remove left-over useless nova import
  + tools: set novaclient minimum version
  + libvirt: fix Folsom compatibility
  + Lower pymongo dependency
  + Remove rickshaw subproject
  + Remove unused rpc import
  + Adapted to nova's compute_driver moving.
  + doc: fix cpu counter unit
  + tools: use tarballs rather than git for Folsom tests
  + Used auth_token middleware from keystoneclient.
  + Remove cinderclient dependency
  + Fix latest nova changes
  + api: replace minified files by complete version
  + Add Folsom tests to tox
  + Handle nova.flags removal
  + Provide default configuration file
  + Fix mysql_engine option type
  + Remove nova.flags usage
  + api: add support for timestamp in _list_resources()
  + api: add timestamp interval support in _list_events()
  + tests: simplify api list_resources
  + Update openstack.common(except policy).
  + Adopted the oslo's rpc.Service change.
  + Use libvirt num_cpu for CPU utilization calculation.
  + Remove obsolete reference to instance.vcpus
  + Change references of /etc/ceilometer-{agent,collector}.conf to /etc/ceilometer/ceilometer.conf
  + Determine instance cores from public flavors API
  + Determine flavor type from the public nova API.
  + Add comment about folsom compatibility change
  + Add keystone requirement for doc build
  + Avoid TypeError when loading libvirt.LibvirtDriver
  + Don't re-import flags and do parse_args instead of flags.FLAGS()
  + doc: rename stackforge to openstack
  + Fix pymongo requirements
  + Update .gitreview for openstack.
  + Update use of nova config to work with folsom
  + compute: remove get_disks work-around
  + Use openstack versioning
  + Fix documentation build
  + document utc naive timestamp
  + Remove database access from agent pollsters
  + Fix merge error in central/manager.py
  + Fix nova config parsing
  + pollster trap error due to zero floating ip
  + Use the service.py in openstack-common
  + Allow no configured sources, provide a default file
  + Add service.py from openstack-common
  + Update common (except policy)
  + nova fake libvirt library breaking tests
  + Move db access out into a seperate file.
  + Remove invalid fixme comments
  + Add new cpu_util meter recording CPU utilization %%.
  + Fix TypeError from old-style publish_counter calls
  + Fix auth middleware configuration
  + pin sqlalchemy to 0.7.x but not specifically 0.7.8
  + add mongo index names
  + set tox to ignore global packages
  + Provide a way to disable some plugins
  + Use stevedore to load all plugins
  + implement get_volume_max for sqlalchemy
  + Add basic text/html renderer
  + network: floating IP account in Quantum
  + add unit test for CPUPollster
  + Clean up context usage
  + Add dependencies on clients used by pollsters
  + add ceilometer-send-counter
  + Update openstack.common.cfg
  + Fix tests broken by API change with Counter class
  + api: add source detail retrieval
  + Set source at publish time
  + Instance pollster emits instance.<type> meter
  + timestamp columns in sqlalchemy not timezone aware
  + Remove obsolete/incorrect install instructions
  + network: emit router meter
  + Fix sqlalchemy performance problem
  + Added a working release-bugs.py script to tools/.
  + Change default API port
  + sqlalchemy record_meter merge objs not string
  + Use glance public API as opposed to registry API.
  + Add OpenStack trove classifier for PyPI
  + bump version number to 0.2
* Wed Dec 19 2012 saschpe@suse.de
- It's a noarch package
* Wed Dec 19 2012 saschpe@suse.de
- Move to obs-service-git_tarballs
  + Drop BuildRequires: python-setuptools-git
* Wed Nov 21 2012 saschpe@suse.de
- Add more documentation build requirements
* Fri Nov 16 2012 saschpe@suse.de
- Initial version
